class ComponentFactory.Krypton.Navigator.PaletteBarRedirect
   inherits ComponentFactory.Krypton.Toolkit.PaletteMetricRedirect
   implements ComponentFactory.Krypton.Toolkit.IPaletteMetric:

   def public override property IsDefault as logical
      get.

   def public property BarPaddingTabs as System.Windows.Forms.Padding
      get.
      set.

   def public property BarPaddingInside as System.Windows.Forms.Padding
      get.
      set.

   def public property BarPaddingOutside as System.Windows.Forms.Padding
      get.
      set.

   def public property BarPaddingOnly as System.Windows.Forms.Padding
      get.
      set.

   def public property ButtonPadding as System.Windows.Forms.Padding
      get.
      set.

   def public property ButtonEdgeOutside as integer
      get.
      set.

   def public property ButtonEdgeInside as integer
      get.
      set.

   def public property CheckButtonGap as integer
      get.
      set.

   def public property RibbonTabGap as integer
      get.
      set.

   constructor public PaletteBarRedirect(input redirect as ComponentFactory.Krypton.Toolkit.PaletteRedirect, input needPaint as ComponentFactory.Krypton.Toolkit.NeedPaintHandler):
   end constructor.

   method public final void ResetBarPaddingTabs():
   end method.

   method public final void ResetBarPaddingInside():
   end method.

   method public final void ResetBarPaddingOutside():
   end method.

   method public final void ResetBarPaddingOnly():
   end method.

   method public final void ResetButtonPadding():
   end method.

   method public final void ResetButtonEdgeOutside():
   end method.

   method public final void ResetButtonEdgeInside():
   end method.

   method public final void ResetCheckButtonGap():
   end method.

   method public final void ResetRibbonTabGap():
   end method.

   method public override integer GetMetricInt(input state as ComponentFactory.Krypton.Toolkit.PaletteState, input metric as ComponentFactory.Krypton.Toolkit.PaletteMetricInt):
   end method.

   method public override ComponentFactory.Krypton.Toolkit.InheritBool GetMetricBool(input state as ComponentFactory.Krypton.Toolkit.PaletteState, input metric as ComponentFactory.Krypton.Toolkit.PaletteMetricBool):
   end method.

   method public override System.Windows.Forms.Padding GetMetricPadding(input state as ComponentFactory.Krypton.Toolkit.PaletteState, input metric as ComponentFactory.Krypton.Toolkit.PaletteMetricPadding):
   end method.

end class.
