class ComponentFactory.Krypton.Toolkit.HeaderValuesBase
   inherits ComponentFactory.Krypton.Toolkit.Storage
   implements ComponentFactory.Krypton.Toolkit.IContentValues
   abstract:

   def public override property IsDefault as logical
      get.

   def public property Image as System.Drawing.Image
      get.
      set.

   def public property ImageTransparentColor as System.Drawing.Color
      get.
      set.

   def public property Heading as character
      get.
      set.

   def public property Description as character
      get.
      set.

   def public event TextChanged signature void (input sender as System.Object, input e as System.EventArgs).

   constructor protected HeaderValuesBase(input needPaint as ComponentFactory.Krypton.Toolkit.NeedPaintHandler):
   end constructor.

   method protected System.Drawing.Image GetImageDefault():
   end method.

   method protected abstract character GetHeadingDefault().

   method protected abstract character GetDescriptionDefault().

   method public final void ResetImage():
   end method.

   method public System.Drawing.Image GetImage(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final void ResetImageTransparentColor():
   end method.

   method public System.Drawing.Color GetImageTransparentColor(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final void ResetHeading():
   end method.

   method public character GetShortText():
   end method.

   method public final void ResetDescription():
   end method.

   method public character GetLongText():
   end method.

end class.
