class ComponentFactory.Krypton.Toolkit.PaletteContentText
   inherits ComponentFactory.Krypton.Toolkit.Storage:

   def public override property IsDefault as logical
      get.

   def public property Font as System.Drawing.Font
      get.
      set.

   def public property Hint as ComponentFactory.Krypton.Toolkit.PaletteTextHint
      get.
      set.

   def public property Trim as ComponentFactory.Krypton.Toolkit.PaletteTextTrim
      get.
      set.

   def public property Prefix as ComponentFactory.Krypton.Toolkit.PaletteTextHotkeyPrefix
      get.
      set.

   def public property TextH as ComponentFactory.Krypton.Toolkit.PaletteRelativeAlign
      get.
      set.

   def public property TextV as ComponentFactory.Krypton.Toolkit.PaletteRelativeAlign
      get.
      set.

   def public property MultiLineH as ComponentFactory.Krypton.Toolkit.PaletteRelativeAlign
      get.
      set.

   def public property MultiLine as ComponentFactory.Krypton.Toolkit.InheritBool
      get.
      set.

   def public property Color1 as System.Drawing.Color
      get.
      set.

   def public property Color2 as System.Drawing.Color
      get.
      set.

   def public property ColorStyle as ComponentFactory.Krypton.Toolkit.PaletteColorStyle
      get.
      set.

   def public property ColorAlign as ComponentFactory.Krypton.Toolkit.PaletteRectangleAlign
      get.
      set.

   def public property ColorAngle as decimal
      get.
      set.

   def public property Image as System.Drawing.Image
      get.
      set.

   def public property ImageStyle as ComponentFactory.Krypton.Toolkit.PaletteImageStyle
      get.
      set.

   def public property ImageAlign as ComponentFactory.Krypton.Toolkit.PaletteRectangleAlign
      get.
      set.

   def public event PropertyChanged signature void (input sender as System.Object, input e as System.ComponentModel.PropertyChangedEventArgs).

   constructor public PaletteContentText(input needPaint as ComponentFactory.Krypton.Toolkit.NeedPaintHandler):
   end constructor.

   method protected void OnPropertyChanged(input property as character):
   end method.

end class.
