interface DataPAClientConfig.ClientConfig._ClientConfig:

   def public property AllowQuerySelectConnection as logical
      get.
      set.

   def public property SchedulerClient as logical
      get.
      set.

   def public property AppServerValidationFailed as logical
      get.

   def public property LockServerCode as character
      get.

   def public property RootObject as DataPAADO.ADODBDataSource
      get.
      set.

   def public property PAApplication as RunDataPA.Application
      get.
      set.

   def public property SetupManager as DataPAClientConfig.SetupManager
      get.
      set.

   def public property SystemStructure as DataPAClientConfig.SystemStructure
      get.

   def public property LicenseInfo as DataPAClientConfig.LicenseInfo
      get.
      set.

   def public property Security as DataPAClientConfig.SecurityInfo
      get.
      set.

   def public property UserName as character
      get.
      set.

   def public property Password as character
      get.
      set.

   def public property Version as character
      get.

   def public property DataLocation as character
      get.
      set.

   def public property DataLocationType as DataPAClientConfig.ClientConfig.DataLocationTypeEnum
      get.

   def public property DataFileFormat as DataPAClientConfig.SessionManager.DataFileFormatEnum
      get.
      set.

   def public property SessionFreeDataLocationAppServer as logical
      get.
      set.

   def public property AutoUpdate as logical
      get.
      set.

   def public property QuietCheckForUpdate as logical
      get.
      set.

   def public property UpdateLocation as character
      get.
      set.

   def public property Group as character
      get.

   def public property UsePreviousUsernameAndPasswordSet as logical
      get.
      set.

   def public property PreviousLoginFailed as logical
      get.
      set.

   def public property SplashScreenText as character
      get.
      set.

   def public property Initialised as logical
      get.

   method public final void Dispose().

   method public logical ShowChangePassword().

   method public logical ShowAbout().

   method public void ShowLicenseWindow().

   method public logical ShowManageServer().

   method public DataPAServerSecurity.ServerSecurity ServerSecurity(input SecurityGUID as character).

   method public System.Byte extent ShowManagePublished(input AllowObjectToOpenType as DataPAClientConfig.ClientConfig.AllowOpenFromServerFileType, input DocumentName as character).

   method public logical ShowSelectConnection().

   method public logical ShowSecurity().

   method public void ShowSplashScreen().

   method public void HideSplashScreen(input AllowRestore as logical).

   method public void RestoreSplashScreen().

   method public character ShowSubjectExplorer(input ConstrainToSystem as character, input NavigateToSubjectID as character).

   method public void ViewData(input SystemName as character, input FieldList as character, input LabelList as character, input TableName as character, input SubjectID as character, input DataTitle as character, input DataImage as System.Drawing.Image, input AlertX as integer, input AlertY as integer, input PAConnection as RunDataPA.PAConnection).

   method public logical Initialise(input DataLocation as character, input DataFileFormat as DataPAClientConfig.SessionManager.DataFileFormatEnum, input Silent as logical).

   method public logical Initialise().

   method public logical ReloadSetup().

   method public DataPAClientConfig.EnterpriseService.EnterpriseServiceClient EntSrv(input ErrorMessage as character).

   method public DataPASQLClient.SQLClient SQLClient(input ErrorMessage as character).

   method public void SaveSetupData().

   method public logical LockSetupData(input UserName as character, input Details as character, input DateTime as character).

   method public logical UnLockSetupData(input UserName as character, input Details as character, input DateTime as character).

   method public logical IsSetupLockValid(input UserName as character, input Details as character, input DateTime as character).

   method public logical LockServerSecurityData(input UserName as character, input Details as character, input DateTime as character, input Guid as character).

   method public logical UnLockServerSecurityData(input UserName as character, input Details as character, input DateTime as character, input Guid as character).

   method public logical IsServerSecurityLockValid(input UserName as character, input Details as character, input DateTime as character, input Guid as character).

   method public void CheckForUpdate().

   method public void ShowProperties(input ContentType as DataPAClientConfig.ClientConfig.ContentTypeEnum, input DataLocationType as DataPAClientConfig.ClientConfig.DataLocationTypeEnum, input Title as character, input Description as character, input Keywords as character, input Category as character, input Comments as character, input Author as character).

   method public logical PublishDocument(input DocumentData as System.Byte extent, input ID as character, input Type as character, input FileName as character, input System as character, input Title as character, input Description as character, input Keywords as character, input Category as character, input Comments as character, input Author as character, input UserName as character, input Password as character, input ReqFieldNames as System.String extent, input ReqFieldLabels as System.String extent, input ReqFieldDescs as System.String extent, input ReqFieldTypes as System.String extent, input ReqFieldMands as System.String extent, input ReqFieldValues as System.String extent, input ReqFieldLookups as System.String extent, input ReqFieldFormats as System.String extent, input ErrMessage as character).

   method public logical GetUserNameAndPassword().

end interface.
