class DataPASQLClient.EnterpriseService.EnterpriseServiceClient
   inherits System.ServiceModel.ClientBase
   implements System.ServiceModel.ICommunicationObject, System.IDisposable, DataPASQLClient.EnterpriseService.IEnterpriseService:

   constructor public EnterpriseServiceClient():
   end constructor.

   constructor public EnterpriseServiceClient(input endpointConfigurationName as character):
   end constructor.

   constructor public EnterpriseServiceClient(input endpointConfigurationName as character, input remoteAddress as character):
   end constructor.

   constructor public EnterpriseServiceClient(input endpointConfigurationName as character, input remoteAddress as System.ServiceModel.EndpointAddress):
   end constructor.

   constructor public EnterpriseServiceClient(input binding as System.ServiceModel.Channels.Binding, input remoteAddress as System.ServiceModel.EndpointAddress):
   end constructor.

   method public final void ProcessLockRequest(input LockType as character, input UserID as character, input SecurityCode as character, input Details as character, input FunctionType as integer, input Response as logical, input OutputUserID as character, input OutputDetails as character, input OutputDateTime as character, input SetupGUID as character, input ErrorMessage as character):
   end method.

   method public final character CheckLogin(input UserID as character, input Password as character, input SecurityCode as character, input GroupID as character, input ServerSecurity as System.Byte extent):
   end method.

   method public final logical FolderPathValid(input FolderPath as character, input UserID as character, input Password as character, input SecurityCode as character):
   end method.

   method public final System.Data.DataSet GetDashboardObjects(input UserID as character, input Password as character, input SecurityCode as character, input ContentType as integer):
   end method.

   method public final logical MoveDashboardObject(input UserID as character, input Password as character, input SecurityCode as character, input FromIndex as integer, input ToIndex as integer, input ErrorMessage as character):
   end method.

   method public final void ReloadDashboardObject(input Seq as int64, input UserID as character, input Password as character, input SecurityCode as character):
   end method.

   method public final void ClearDashboardObjectError(input Seq as int64, input UserID as character, input Password as character, input SecurityCode as character):
   end method.

   method public final logical TestConnect(input Connect as character):
   end method.

   method public final logical TestSQL(input Connect as character, input SQL as character):
   end method.

   method public final System.Data.DataSet RunSQLProcedure(input Connect as character, input SQLProcedure as character, input SQLParams as character, input SQLParamTypes as character, input SQLParamInputs as character, input SQLParamSizes as character, input SQLParamScales as character, input SQLParamPrecs as character, input SQLParamValues as character, input Filter as character, input Sort as character, input FieldList as character, input LabelList as character):
   end method.

   method public final System.Data.DataSet RunSQLQuery(input Connect as character, input SQL as character):
   end method.

   method public final System.Data.DataSet GetStrct(input Connect as character):
   end method.

   method public final System.Data.DataSet GetProcedures(input Connection as character):
   end method.

   method public final System.Data.DataSet GetProcedureParams(input Connection as character):
   end method.

   method public final void StartAutoRefreshDelay(input SecurityCode as character, input bSoft as logical):
   end method.

   method public final void RemoveEventHandlers(input SecurityCode as character):
   end method.

   method public final void TouchDashboard(input sMMFName as character, input UserID as character, input Password as character, input SecurityCode as character):
   end method.

   method public final character OpenSecurity(input UserID as character, input Password as character, input ServerSecurity as System.Byte extent, input SecurityCode as character, input SecurityGUID as character, input ReadUsersFromAppServer as logical):
   end method.

   method public final character SaveSecurity(input UserID as character, input Password as character, input ServerSecurity as System.Byte extent, input SecurityCode as character, input SecurityGUID as character):
   end method.

   method public final integer CheckAppServerSecurity(input UserID as character, input Password as character, input SecurityCode as character, input AppServerURL as character, input StateFree as logical, input UseBLToAssignUserGroups as logical, input UseBLforGroupPrivileges as logical, input UseBLToDefineGroups as logical, input ErrorMessage as character):
   end method.

   method public final character OpenSetup(input UserID as character, input Password as character, input SecurityCode as character, input Partitions as System.Byte extent, input Links as System.Byte extent, input Conditions as System.Byte extent, input SDOs as System.Byte extent, input Lookups as System.Byte extent, input Subjects as System.Byte extent, input SetupGUID as character, input DenySystemsAccess as logical, input DenySubjectsAccess as logical):
   end method.

   method public final character SaveSetup(input UserID as character, input Password as character, input SecurityCode as character, input Partitions as System.Byte extent, input Links as System.Byte extent, input Conditions as System.Byte extent, input SDOs as System.Byte extent, input Lookups as System.Byte extent, input Subjects as System.Byte extent, input SetupGUID as character):
   end method.

   method public final System.Byte extent OpenDashboard(input DashboardFile as character, input UserID as character, input Password as character, input SecurityCode as character):
   end method.

   method public final System.Byte extent OpenDocument(input ID as character, input Type as character, input UserID as character, input Password as character, input SecurityCode as character, input ClientFileName as character):
   end method.

   method public final logical ResetUserPassword(input SecCode as character, input UserID as character, input CurrentPassword as character, input NewPassword as character):
   end method.

   method public final character PublishDashboard(input ID as character, input DashboardFile as System.Byte extent, input DashboardFileName as character, input SecurityList as character, input Overwrite as logical, input UserID as character, input Password as character, input SecurityCode as character):
   end method.

   method public final character PublishDocument(input Data as System.Byte extent, input Type as character, input ClientFileName as character, input SystemName as character, input Overwrite as logical, input ID as character, input Title as character, input Description as character, input Keywords as character, input Category as character, input Comments as character, input Author as character, input UserID as character, input Password as character, input ReqFieldNames as System.String extent, input ReqFieldLabels as System.String extent, input ReqFieldDescs as System.String extent, input ReqFieldTypes as System.String extent, input ReqFieldMands as System.String extent, input ReqFieldValues as System.String extent, input ReqFieldLookups as System.String extent, input ReqFieldFormats as System.String extent, input SecurityCode as character, input ErrorMessage as character):
   end method.

   method public final character UnpublishDashboard(input DashboardId as character, input UserID as character, input Password as character, input SecurityCode as character):
   end method.

   method public final character UnpublishDocument(input ID as character, input UserID as character, input Password as character, input SecurityCode as character):
   end method.

   method public final System.Data.DataSet GetPublishedDashboardsDataSet(input UserID as character, input Password as character, input SecurityCode as character):
   end method.

   method public final System.Data.DataTable GetMMFDashboards(input UserID as character, input Password as character, input SecurityCode as character):
   end method.

   method public final character UnpublishAllDashboards(input UserID as character, input Password as character, input SecurityCode as character):
   end method.

   method public final logical LoadDashboard(input sMMFName as character, input DashboardFile as character, input UserID as character, input Password as character, input SecurityCode as character, input NeedMutex as logical):
   end method.

   method public final logical LoadDashboardObject(input DashboardFile as character, input UserID as character, input Password as character, input SecurityCode as character):
   end method.

   method public final character RemoveDashboardFromMemory(input DashboardFile as character, input Type as character, input UserID as character, input Password as character, input SecurityCode as character):
   end method.

end class.
