class Infragistics.Documents.Graphics.Image
   inherits Infragistics.Documents.SealableBase
   implements Infragistics.Documents.ISealable:

   def public property Data as System.Byte extent
      get.

   def public property Height as integer
      get.

   def public property Preferences as Infragistics.Documents.Graphics.ImagePreferences
      get.

   def public property Width as integer
      get.

   constructor public Image(input source as character):
   end constructor.

   constructor public Image(input stream as System.IO.Stream):
   end constructor.

   constructor public Image(input width as integer, input height as integer):
   end constructor.

   constructor public Image(input width as integer, input height as integer, input data as System.Byte extent):
   end constructor.

   constructor public Image(input image as System.Drawing.Image):
   end constructor.

   constructor public Image(input image as System.Drawing.Image, input transparentMapColor as Infragistics.Documents.Graphics.Color):
   end constructor.

   method public final void Attach(input fb as Infragistics.Documents.Utils.FileBuffer):
   end method.

   method public final void Detach():
   end method.

   method public final decimal GetPhotoFactor():
   end method.

   method public final Infragistics.Documents.Graphics.Color GetPixel(input x as integer, input y as integer):
   end method.

   method public final void SetPixel(input x as integer, input y as integer, input color as Infragistics.Documents.Graphics.Color):
   end method.

   method public final static System.Drawing.Imaging.ImageCodecInfo GetEncoderInfo(input mimeType as character):
   end method.

   method public override void Seal():
   end method.

end class.
