interface Infragistics.Documents.Report.Text.IText:

   def public property Style as Infragistics.Documents.Report.Text.Style
      get.
      set.

   def public property Heading as Infragistics.Documents.Report.TextHeading
      get.
      set.

   def public property Caption as character
      get.
      set.

   def public property Alignment as Infragistics.Documents.Report.TextAlignment
      get.
      set.

   def public property Interval as decimal
      get.
      set.

   def public property Indents as Infragistics.Documents.Report.Text.Indents
      get.
      set.

   def public property Tabs as Infragistics.Documents.Report.Text.Tabs
      get.
      set.

   def public property LineNumbering as Infragistics.Documents.Report.Text.TextLineNumbering
      get.
      set.

   def public property FirstLetter as Infragistics.Documents.Report.Text.FirstLetter
      get.
      set.

   def public property Width as Infragistics.Documents.Report.Width
      get.
      set.

   def public property Height as Infragistics.Documents.Report.Height
      get.
      set.

   def public property Borders as Infragistics.Documents.Report.Borders
      get.
      set.

   def public property Margins as Infragistics.Documents.Report.Margins
      get.
      set.

   def public property Paddings as Infragistics.Documents.Report.Paddings
      get.
      set.

   def public property Background as Infragistics.Documents.Report.Background
      get.
      set.

   def public property KeepSolid as logical
      get.
      set.

   def public property Parent as System.Object
      get.

   def public property StyleResolved as Infragistics.Documents.Report.Text.Style
      get.

   method public void AddLineBreak().

   method public void AddContent(input ch as character).

   method public void AddContent(input ch as character, input style as Infragistics.Documents.Report.Text.Style).

   method public void AddContent(input ch as character, input hyperlink as Infragistics.Documents.Report.Text.Hyperlink).

   method public void AddContent(input ch as character, input style as Infragistics.Documents.Report.Text.Style, input hyperlink as Infragistics.Documents.Report.Text.Hyperlink).

   method public void AddContent(input text as System.Char extent).

   method public void AddContent(input text as System.Char extent, input style as Infragistics.Documents.Report.Text.Style).

   method public void AddContent(input text as System.Char extent, input hyperlink as Infragistics.Documents.Report.Text.Hyperlink).

   method public void AddContent(input text as System.Char extent, input style as Infragistics.Documents.Report.Text.Style, input hyperlink as Infragistics.Documents.Report.Text.Hyperlink).

   method public void AddContent(input text as character).

   method public void AddContent(input text as character, input style as Infragistics.Documents.Report.Text.Style).

   method public void AddContent(input text as character, input hyperlink as Infragistics.Documents.Report.Text.Hyperlink).

   method public void AddContent(input text as character, input style as Infragistics.Documents.Report.Text.Style, input hyperlink as Infragistics.Documents.Report.Text.Hyperlink).

   method public void AddContent(input image as Infragistics.Documents.Graphics.Image).

   method public void AddContent(input image as Infragistics.Documents.Graphics.Image, input size as Infragistics.Documents.Graphics.Size).

   method public void AddContent(input image as Infragistics.Documents.Graphics.Image, input indents as Infragistics.Documents.Report.Indents).

   method public void AddContent(input image as Infragistics.Documents.Graphics.Image, input alignment as Infragistics.Documents.Report.ImageAlignment).

   method public void AddContent(input image as Infragistics.Documents.Graphics.Image, input indents as Infragistics.Documents.Report.Indents, input alignment as Infragistics.Documents.Report.ImageAlignment).

   method public void AddContent(input image as Infragistics.Documents.Graphics.Image, input size as Infragistics.Documents.Graphics.Size, input alignment as Infragistics.Documents.Report.ImageAlignment).

   method public void AddContent(input image as Infragistics.Documents.Graphics.Image, input size as Infragistics.Documents.Graphics.Size, input indents as Infragistics.Documents.Report.Indents, input alignment as Infragistics.Documents.Report.ImageAlignment).

   method public void AddContent(input image as Infragistics.Documents.Graphics.Image, input size as Infragistics.Documents.Graphics.Size, input alignment as Infragistics.Documents.Report.ImageAlignment, input hyperlink as Infragistics.Documents.Report.Text.Hyperlink).

   method public void AddContent(input image as Infragistics.Documents.Graphics.Image, input size as Infragistics.Documents.Graphics.Size, input indents as Infragistics.Documents.Report.Indents, input alignment as Infragistics.Documents.Report.ImageAlignment, input hyperlink as Infragistics.Documents.Report.Text.Hyperlink).

   method public void AddRichContent(input text as System.Char extent).

   method public void AddRichContent(input text as character).

   method public void AddRichContent(input text as System.Char extent, input normalize as logical).

   method public void AddRichContent(input text as character, input normalize as logical).

   method public void AddMergeCode(input name as character).

   method public void AddMergeCode(input name as character, input style as Infragistics.Documents.Report.Text.Style).

   method public void AddMergeCode(input name as character, input hyperlink as Infragistics.Documents.Report.Text.Hyperlink).

   method public void AddMergeCode(input name as character, input style as Infragistics.Documents.Report.Text.Style, input hyperlink as Infragistics.Documents.Report.Text.Hyperlink).

   method public void AddDateTime(input format as character).

   method public void AddDateTime(input format as character, input style as Infragistics.Documents.Report.Text.Style).

   method public void AddDateTime(input format as character, input hyperlink as Infragistics.Documents.Report.Text.Hyperlink).

   method public void AddDateTime(input format as character, input style as Infragistics.Documents.Report.Text.Style, input hyperlink as Infragistics.Documents.Report.Text.Hyperlink).

   method public void AddPageNumber(input format as Infragistics.Documents.Report.PageNumberFormat).

   method public void AddPageNumber(input format as Infragistics.Documents.Report.PageNumberFormat, input style as Infragistics.Documents.Report.Text.Style).

   method public void AddPageNumber(input format as Infragistics.Documents.Report.PageNumberFormat, input hyperlink as Infragistics.Documents.Report.Text.Hyperlink).

   method public void AddPageNumber(input format as Infragistics.Documents.Report.PageNumberFormat, input style as Infragistics.Documents.Report.Text.Style, input hyperlink as Infragistics.Documents.Report.Text.Hyperlink).

   method public void AddLeader(input format as Infragistics.Documents.Report.LeaderFormat).

   method public void AddLeader(input format as Infragistics.Documents.Report.LeaderFormat, input style as Infragistics.Documents.Report.Text.Style).

   method public void AddLeader(input format as Infragistics.Documents.Report.LeaderFormat, input hyperlink as Infragistics.Documents.Report.Text.Hyperlink).

   method public void AddLeader(input format as Infragistics.Documents.Report.LeaderFormat, input style as Infragistics.Documents.Report.Text.Style, input hyperlink as Infragistics.Documents.Report.Text.Hyperlink).

   method public void AddTarget(input name as character).

   method public void AddTarget(input name as character, input caption as character).

   method public void Clear().

   method public void ApplyPattern(input pattern as Infragistics.Documents.Report.Text.TextPattern).

   method public Infragistics.Documents.Graphics.Size Measure().

end interface.
