class Infragistics.UltraChart.Core.Primitives.Primitive
   inherits System.Object:

   def public variable AccumulatedElementsValue as decimal.

   def public property Empty as logical
      get.
      set.

   def public property DataPoint as Infragistics.UltraChart.Data.Series.IDataPoint
      get.
      set.

   def public property Series as Infragistics.UltraChart.Data.Series.ISeries
      get.
      set.

   def public property Visible as logical
      get.
      set.

   def public static property DefaultPE as Infragistics.UltraChart.Resources.Appearance.PaintElement
      get.

   def public property Layer as Infragistics.UltraChart.Core.Layers.ILayer
      get.
      set.

   def public property PE as Infragistics.UltraChart.Resources.Appearance.PaintElement
      get.
      set.

   def public property SE as Infragistics.UltraChart.Resources.SkinElement
      get.
      set.

   def public property Path as character
      get.
      set.

   def public property Row as integer
      get.
      set.

   def public property Column as integer
      get.
      set.

   def public property Value as System.Object
      get.
      set.

   def public property drawColor as System.Drawing.Color
      get.
      set.

   def public property Chart as Infragistics.UltraChart.Shared.Styles.ChartType
      get.
      set.

   def public property Caps as Infragistics.UltraChart.Core.Primitives.PCaps
      get.
      set.

   def public property Tags as System.Collections.Hashtable
      get.
      set.

   constructor public Primitive():
   end constructor.

   constructor public Primitive(input row as integer, input column as integer, input layerRef as Infragistics.UltraChart.Core.Layers.ILayer):
   end constructor.

   method public System.Collections.IList GetPrimitives():
   end method.

   method public logical HitTest(input point as System.Drawing.Point):
   end method.

   method protected logical IsMyChartAreaVisibleAt(input point as System.Drawing.Point):
   end method.

   method public void Highlight(input scene as Infragistics.UltraChart.Core.SceneGraph, input outlineColor as System.Drawing.Color, input fillColor as System.Drawing.Color):
   end method.

   method protected final static logical InsideRectangle(input rect as System.Drawing.Rectangle, input point as System.Drawing.Point):
   end method.

end class.
