class Infragistics.UltraChart.Resources.Appearance.ChartLayerAppearance
   inherits Infragistics.UltraChart.Resources.Appearance.ChartAppearance
   implements Infragistics.UltraChart.Resources.IProvideChartComponent, System.ICloneable:

   def public property ChartTypeAppearance as Infragistics.UltraChart.Resources.Appearance.ChartTypeAppearance
      get.
      set.

   def public property LegendItem as Infragistics.UltraChart.Shared.Styles.LegendItemType
      get.
      set.

   def public property ChartType as Infragistics.UltraChart.Shared.Styles.ChartType
      get.
      set.

   def public property Series as Infragistics.UltraChart.Data.Series.SeriesCollection
      get.

   def public property SeriesList as character
      get.
      set.

   def public property ChartArea as Infragistics.UltraChart.Resources.Appearance.ChartArea
      get.
      set.

   def public property ChartAreaKey as character
      get.
      set.

   def public property AxisX as Infragistics.UltraChart.Resources.Appearance.AxisItem
      get.
      set.

   def public property AxisXKey as character
      get.
      set.

   def public property AxisY as Infragistics.UltraChart.Resources.Appearance.AxisItem
      get.
      set.

   def public property AxisYKey as character
      get.
      set.

   def public property AxisY2 as Infragistics.UltraChart.Resources.Appearance.AxisItem
      get.
      set.

   def public property AxisY2Key as character
      get.
      set.

   def public property Visible as logical
      get.
      set.

   def public property ChartLayer as Infragistics.UltraChart.Core.Layers.ChartLayer
      get.
      set.

   def public property Key as character
      get.
      set.

   def public property SwapRowsAndColumns as logical
      get.
      set.

   constructor public ChartLayerAppearance():
   end constructor.

   constructor public ChartLayerAppearance(input chartComponent as Infragistics.UltraChart.Resources.IChartComponent):
   end constructor.

   method public override void SetComponent(input chartComponent as Infragistics.UltraChart.Resources.IChartComponent):
   end method.

   method public override character ToString():
   end method.

   method public void CreateChartLayer(input chartComponent as Infragistics.UltraChart.Resources.IChartComponent, input core as Infragistics.UltraChart.Core.ChartCore):
   end method.

   method protected final logical ShouldSerializeChartTypeAppearance():
   end method.

   method protected final logical ShouldSerializeSeriesList():
   end method.

   method protected final logical ShouldSerializeChartArea():
   end method.

   method public final void ResetChartArea():
   end method.

   method protected final logical ShouldSerializeChartAreaKey():
   end method.

   method protected final logical ShouldSerializeAxisX():
   end method.

   method public final void ResetAxisX():
   end method.

   method protected final logical ShouldSerializeAxisXKey():
   end method.

   method protected final logical ShouldSerializeAxisY():
   end method.

   method public final void ResetAxisY():
   end method.

   method protected final logical ShouldSerializeAxisYKey():
   end method.

   method protected final logical ShouldSerializeAxisY2():
   end method.

   method public final void ResetAxisY2():
   end method.

   method protected final logical ShouldSerializeAxisY2Key():
   end method.

   method public final override Infragistics.UltraChart.Resources.Appearance.ChartLayerAppearance Clone():
   end method.

   method protected final logical ShouldSerializeKey():
   end method.

   method public final logical AxesValidForLayer(input errorMessage as character):
   end method.

   method public final logical ShouldSerializeSwapRowsAndColumns():
   end method.

   method public final void ResetSwapRowsAndColumns():
   end method.

end class.
