class Infragistics.UltraChart.Shared.Styles.LineStyle
   inherits Infragistics.UltraChart.Resources.Appearance.AppearanceHelper
   implements Infragistics.UltraChart.Resources.IProvideChartComponent, System.ICloneable:

   def public property StartStyle as Infragistics.UltraChart.Shared.Styles.LineCapStyle
      get.
      set.

   def public property EndStyle as Infragistics.UltraChart.Shared.Styles.LineCapStyle
      get.
      set.

   def public property DrawStyle as Infragistics.UltraChart.Shared.Styles.LineDrawStyle
      get.
      set.

   def public property MidPointAnchors as logical
      get.
      set.

   constructor public LineStyle():
   end constructor.

   constructor public LineStyle(input parent as Infragistics.UltraChart.Resources.Appearance.ChartAppearance, input propertyName as character, input component as Infragistics.UltraChart.Resources.IChartComponent):
   end constructor.

   constructor public LineStyle(input copy as Infragistics.UltraChart.Shared.Styles.LineStyle):
   end constructor.

   constructor public LineStyle(input startStyle as Infragistics.UltraChart.Shared.Styles.LineCapStyle, input endStyle as Infragistics.UltraChart.Shared.Styles.LineCapStyle, input drawStyle as Infragistics.UltraChart.Shared.Styles.LineDrawStyle):
   end constructor.

   method public void ResetStartStyle():
   end method.

   method public void ResetEndStyle():
   end method.

   method protected void ResetDrawStyle():
   end method.

   method protected void ResetMidPointAnchors():
   end method.

   method public final override Infragistics.UltraChart.Shared.Styles.LineStyle Clone():
   end method.

   method public final logical Match(input styleB as Infragistics.UltraChart.Shared.Styles.LineStyle):
   end method.

   method public logical ShouldSerialize():
   end method.

   method public void Reset():
   end method.

   method public override character ToString():
   end method.

end class.
