class Progress.Open4GL.DynamicAPI.DataTableMetaData
   inherits Progress.Open4GL.DynamicAPI.MetaDataBase
   implements System.ComponentModel.IComponent, System.IDisposable, System.IServiceProvider, System.ComponentModel.IListSource, System.ComponentModel.ISupportInitializeNotification, System.ComponentModel.ISupportInitialize, System.Runtime.Serialization.ISerializable, System.Xml.Serialization.IXmlSerializable, Progress.Open4GL.DynamicAPI.IDataTable, Progress.Open4GL.IProDataTableMetaData:

   /* we cannot model member vars named after reserved keywods */
   /* def protected variable fields as Progress.Open4GL.DynamicAPI.FieldDesc extent. */

   def protected variable numColumns as integer.

   def protected variable extentIndex as System.Int32 extent.

   def protected variable uniqueId as integer.

   def protected variable m_codePage as character.

   def protected variable m_bufferName as character.

   def protected variable m_numIndexes as integer.

   def protected variable m_flag as integer.

   def protected variable m_errorString as character.

   def protected variable m_originID as integer.

   def protected variable m_multiIxCols as character.

   def protected variable m_XMLNamespace as character.

   def protected variable m_XMLPrefix as character.

   def protected variable m_strongTypeName as character.

   def protected variable nameTable as Progress.Open4GL.DynamicAPI.ExternalHashtable.

   def protected variable m_bimageFlag as logical.

   def public property FieldCount as integer
      get.

   def public property StrongTypeName as character
      get.
      set.

   def public property BImageFlag as logical
      get.
      set.

   def public property CodePage as character
      get.
      set.

   def public property BufferName as character
      get.
      set.

   def public property ErrorString as character
      get.
      set.

   def public property MultiIxCols as character
      get.
      set.

   def public property XMLNamespace as character
      get.
      set.

   def public property XMLPrefix as character
      get.
      set.

   def public property NumIndexes as integer
      get.
      set.

   def public property OriginID as integer
      get.
      set.

   def public property Flag as integer
      get.
      set.

   def public property ProDataSourceModified as logical
      get.
      set.

   def public property ProRejected as logical
      get.
      set.

   def public property ProUndo as logical
      get.
      set.

   constructor public DataTableMetaData(input id as integer, input numFields as integer, input strongTypeName as character, input bimageFlag as logical, input codePage as character, input bufferName as character, input numIndexes as integer, input flag as integer, input errorString as character, input originID as System.Byte extent, input multiIxCols as character, input sourceStr as character, input XMLNamespace as character, input XMLPrefix as character):
   end constructor.

   constructor public DataTableMetaData(input id as integer, input bufferName as character, input numFields as integer, input bimageFlag as logical, input numIndexes as integer, input multiIxCols as character, input XMLNamespace as character, input XMLPrefix as character, input strongTypeName as character):
   end constructor.

   constructor public DataTableMetaData(input id as integer, input numFields as integer, input strongTypeName as character, input bimageFlag as logical, input codePage as character, input bufferName as character, input numIndexes as integer, input flag as integer, input errorString as character, input originID as integer, input multiIxCols as character, input sourceStr as character, input XMLNamespace as character, input XMLPrefix as character):
   end constructor.

   constructor public DataTableMetaData(input id as integer, input numFields as integer, input strongTypeName as character, input bimageFlag as logical):
   end constructor.

   constructor public DataTableMetaData(input id as integer, input numFields as integer, input strongTypeName as character):
   end constructor.

   constructor public DataTableMetaData(input mdata as Progress.Open4GL.DynamicAPI.DataTableMetaData):
   end constructor.

   method public final static void AddDataColumn(input dt as System.Data.DataTable, input columnName as character, input t as System.Type, input fieldName as character):
   end method.

   method public Progress.Open4GL.DynamicAPI.FieldDesc setFieldDesc(input field as integer, input name as character, input extents as integer, input proType as integer, input position as integer, input user_order as integer, input flag as integer, input initial_value as character, input caption as character, input xml_mapping as integer, input extendedProps as character, input helpStr as character):
   end method.

   method public Progress.Open4GL.DynamicAPI.FieldDesc setFieldDesc(input field as integer, input name as character, input extents as integer, input proType as integer):
   end method.

   method public final static Progress.Open4GL.DynamicAPI.DataTableMetaData getDataTableMetaData(input dt as System.Data.DataTable, input parmNum as integer, input inOut as integer, input strongTypeName as character):
   end method.

   method public final static logical validate(input parmNum as integer, input dtmd1 as Progress.Open4GL.DynamicAPI.DataTableMetaData, input dtmd2 as Progress.Open4GL.DynamicAPI.DataTableMetaData, input procedureName as character):
   end method.

   method protected final void validateCol(input column as integer):
   end method.

   method public integer getProColumnType(input column as integer):
   end method.

   method public integer getProColumnExtent(input column as integer):
   end method.

   method public integer getFieldProType(input field as integer):
   end method.

   method public integer getColumnProType(input column as integer):
   end method.

   method public character getFieldDotNETTypeName(input field as integer):
   end method.

   method public character getColumnDotNETTypeName(input column as integer):
   end method.

   method public integer getFieldExtent(input field as integer):
   end method.

   method public override integer getColumnCount():
   end method.

   method public override character getColumnName(input column as integer):
   end method.

   method public logical IsColumnUnique(input column as integer):
   end method.

   method public character getFieldName(input field as integer):
   end method.

   method public integer getPosition(input field as integer):
   end method.

   method public integer getColumnPosition(input column as integer):
   end method.

   method public void setPosition(input field as integer, input value as integer):
   end method.

   method public integer getUserOrder(input field as integer):
   end method.

   method public void setUserOrder(input field as integer, input value as integer):
   end method.

   method public integer getColumnUserOrder(input column as integer):
   end method.

   method public integer getFlag(input field as integer):
   end method.

   method public character getInitialValue(input field as integer):
   end method.

   method public void setInitialValue(input field as integer, input value as character):
   end method.

   method public character getColumnInitialValue(input column as integer):
   end method.

   method public character getColumnCaption(input column as integer):
   end method.

   method public character getCaption(input field as integer):
   end method.

   method public void setCaption(input field as integer, input value as character):
   end method.

   method public integer getXMLMapping(input field as integer):
   end method.

   method public void setXMLMapping(input field as integer, input value as integer):
   end method.

   method public integer getColumnXMLMapping(input column as integer):
   end method.

   method public integer getProXMLMapping(input mapType as System.Data.MappingType):
   end method.

   method public System.Data.MappingType getColumnXMLMappingType(input column as integer):
   end method.

   method public character getExtendedProps(input field as integer):
   end method.

   method public character getHelpStr(input field as integer):
   end method.

   method public final integer getSQLColumnType(input column as integer):
   end method.

   method public override integer getColumnType(input column as integer):
   end method.

   method public override character getColumnTypeName(input column as integer):
   end method.

   method public character getFieldTypeName(input field as integer):
   end method.

   method public override logical isCaseSensitive(input column as integer):
   end method.

   method public override logical isSearchable(input column as integer):
   end method.

   method public override logical isCurrency(input column as integer):
   end method.

   method public override character getTableName(input column as integer):
   end method.

   method public character getColumnClassName(input column as integer):
   end method.

end class.
