class System.Decimal
   inherits System.ValueType
   implements System.IFormattable, System.IComparable, System.IConvertible, System.Runtime.Serialization.IDeserializationCallback, System.IComparable, System.IEquatable
   final:

   def public static variable Zero as decimal.

   def public static variable One as decimal.

   def public static variable MinusOne as decimal.

   def public static variable MaxValue as decimal.

   def public static variable MinValue as decimal.

   constructor public Decimal(input value as integer):
   end constructor.

   constructor public Decimal(input value as integer):
   end constructor.

   constructor public Decimal(input value as int64):
   end constructor.

   constructor public Decimal(input value as int64):
   end constructor.

   constructor public Decimal(input value as decimal):
   end constructor.

   constructor public Decimal(input value as decimal):
   end constructor.

   constructor public Decimal(input bits as System.Int32 extent):
   end constructor.

   constructor public Decimal(input lo as integer, input mid as integer, input hi as integer, input isNegative as logical, input scale as integer):
   end constructor.

   method public final static int64 ToOACurrency(input value as decimal):
   end method.

   method public final static decimal FromOACurrency(input cy as int64):
   end method.

   method public final static decimal Add(input d1 as decimal, input d2 as decimal):
   end method.

   method public final static decimal Ceiling(input d as decimal):
   end method.

   method public final static integer Compare(input d1 as decimal, input d2 as decimal):
   end method.

   method public final integer CompareTo(input value as System.Object):
   end method.

   method public final integer CompareTo(input value as decimal):
   end method.

   method public final static decimal Divide(input d1 as decimal, input d2 as decimal):
   end method.

   method public override logical Equals(input value as System.Object):
   end method.

   method public final logical Equals(input value as decimal):
   end method.

   method public final override integer GetHashCode():
   end method.

   method public final static logical Equals(input d1 as decimal, input d2 as decimal):
   end method.

   method public final static decimal Floor(input d as decimal):
   end method.

   method public override character ToString():
   end method.

   method public final character ToString(input format as character):
   end method.

   method public final character ToString(input provider as System.IFormatProvider):
   end method.

   method public final character ToString(input format as character, input provider as System.IFormatProvider):
   end method.

   method public final static decimal Parse(input s as character):
   end method.

   method public final static decimal Parse(input s as character, input style as System.Globalization.NumberStyles):
   end method.

   method public final static decimal Parse(input s as character, input provider as System.IFormatProvider):
   end method.

   method public final static decimal Parse(input s as character, input style as System.Globalization.NumberStyles, input provider as System.IFormatProvider):
   end method.

   method public final static logical TryParse(input s as character, input result as decimal):
   end method.

   method public final static logical TryParse(input s as character, input style as System.Globalization.NumberStyles, input provider as System.IFormatProvider, input result as decimal):
   end method.

   method public final static System.Int32 extent GetBits(input d as decimal):
   end method.

   method public final static decimal Remainder(input d1 as decimal, input d2 as decimal):
   end method.

   method public final static decimal Multiply(input d1 as decimal, input d2 as decimal):
   end method.

   method public final static decimal Negate(input d as decimal):
   end method.

   method public final static decimal Round(input d as decimal):
   end method.

   method public final static decimal Round(input d as decimal, input decimals as integer):
   end method.

   method public final static decimal Round(input d as decimal, input mode as System.MidpointRounding):
   end method.

   method public final static decimal Round(input d as decimal, input decimals as integer, input mode as System.MidpointRounding):
   end method.

   method public final static decimal Subtract(input d1 as decimal, input d2 as decimal):
   end method.

   method public final static integer ToByte(input value as decimal):
   end method.

   method public final static integer ToSByte(input value as decimal):
   end method.

   method public final static integer ToInt16(input value as decimal):
   end method.

   method public final static decimal ToDouble(input d as decimal):
   end method.

   method public final static integer ToInt32(input d as decimal):
   end method.

   method public final static int64 ToInt64(input d as decimal):
   end method.

   method public final static integer ToUInt16(input value as decimal):
   end method.

   method public final static integer ToUInt32(input d as decimal):
   end method.

   method public final static int64 ToUInt64(input d as decimal):
   end method.

   method public final static decimal ToSingle(input d as decimal):
   end method.

   method public final static decimal Truncate(input d as decimal):
   end method.

   method public final System.TypeCode GetTypeCode():
   end method.

end class.
