class System.Drawing.Pen
   inherits System.MarshalByRefObject
   implements System.Drawing.Internal.ISystemColorTracker, System.ICloneable, System.IDisposable
   final:

   def public property Width as decimal
      get.
      set.

   def public property StartCap as System.Drawing.Drawing2D.LineCap
      get.
      set.

   def public property EndCap as System.Drawing.Drawing2D.LineCap
      get.
      set.

   def public property DashCap as System.Drawing.Drawing2D.DashCap
      get.
      set.

   def public property LineJoin as System.Drawing.Drawing2D.LineJoin
      get.
      set.

   def public property CustomStartCap as System.Drawing.Drawing2D.CustomLineCap
      get.
      set.

   def public property CustomEndCap as System.Drawing.Drawing2D.CustomLineCap
      get.
      set.

   def public property MiterLimit as decimal
      get.
      set.

   def public property Alignment as System.Drawing.Drawing2D.PenAlignment
      get.
      set.

   def public property Transform as System.Drawing.Drawing2D.Matrix
      get.
      set.

   def public property PenType as System.Drawing.Drawing2D.PenType
      get.

   def public property Color as System.Drawing.Color
      get.
      set.

   def public property Brush as System.Drawing.Brush
      get.
      set.

   def public property DashStyle as System.Drawing.Drawing2D.DashStyle
      get.
      set.

   def public property DashOffset as decimal
      get.
      set.

   def public property DashPattern as System.Single extent
      get.
      set.

   def public property CompoundArray as System.Single extent
      get.
      set.

   constructor public Pen(input color as System.Drawing.Color):
   end constructor.

   constructor public Pen(input color as System.Drawing.Color, input width as decimal):
   end constructor.

   constructor public Pen(input brush as System.Drawing.Brush):
   end constructor.

   constructor public Pen(input brush as System.Drawing.Brush, input width as decimal):
   end constructor.

   method public final override System.Object Clone():
   end method.

   method public final void Dispose():
   end method.

   method protected final override void Finalize():
   end method.

   method public final void SetLineCap(input startCap as System.Drawing.Drawing2D.LineCap, input endCap as System.Drawing.Drawing2D.LineCap, input dashCap as System.Drawing.Drawing2D.DashCap):
   end method.

   method public final void ResetTransform():
   end method.

   method public final void MultiplyTransform(input matrix as System.Drawing.Drawing2D.Matrix):
   end method.

   method public final void MultiplyTransform(input matrix as System.Drawing.Drawing2D.Matrix, input order as System.Drawing.Drawing2D.MatrixOrder):
   end method.

   method public final void TranslateTransform(input dx as decimal, input dy as decimal):
   end method.

   method public final void TranslateTransform(input dx as decimal, input dy as decimal, input order as System.Drawing.Drawing2D.MatrixOrder):
   end method.

   method public final void ScaleTransform(input sx as decimal, input sy as decimal):
   end method.

   method public final void ScaleTransform(input sx as decimal, input sy as decimal, input order as System.Drawing.Drawing2D.MatrixOrder):
   end method.

   method public final void RotateTransform(input angle as decimal):
   end method.

   method public final void RotateTransform(input angle as decimal, input order as System.Drawing.Drawing2D.MatrixOrder):
   end method.

end class.
