class System.Reflection.Emit.ModuleBuilder
   inherits System.Reflection.Module
   implements System.Runtime.InteropServices._Module, System.Runtime.Serialization.ISerializable, System.Reflection.ICustomAttributeProvider, System.Runtime.InteropServices._ModuleBuilder:

   def public override property FullyQualifiedName as character
      get.

   def public override property MDStreamVersion as integer
      get.

   def public override property ModuleVersionId as System.Guid
      get.

   def public override property MetadataToken as integer
      get.

   def public override property ScopeName as character
      get.

   def public override property Name as character
      get.

   def public override property Assembly as System.Reflection.Assembly
      get.

   method public override logical Equals(input obj as System.Object):
   end method.

   method public final override integer GetHashCode():
   end method.

   method public override System.Object extent GetCustomAttributes(input inherit as logical):
   end method.

   method public override System.Object extent GetCustomAttributes(input attributeType as System.Type, input inherit as logical):
   end method.

   method public override logical IsDefined(input attributeType as System.Type, input inherit as logical):
   end method.

   method public override System.Collections.Generic.IList GetCustomAttributesData():
   end method.

   method public override System.Type extent GetTypes():
   end method.

   method public override System.Type GetType(input className as character):
   end method.

   method public override System.Type GetType(input className as character, input ignoreCase as logical):
   end method.

   method public override System.Type GetType(input className as character, input throwOnError as logical, input ignoreCase as logical):
   end method.

   method public override System.Byte extent ResolveSignature(input metadataToken as integer):
   end method.

   method public override System.Reflection.MethodBase ResolveMethod(input metadataToken as integer, input genericTypeArguments as System.Type extent, input genericMethodArguments as System.Type extent):
   end method.

   method public override System.Reflection.FieldInfo ResolveField(input metadataToken as integer, input genericTypeArguments as System.Type extent, input genericMethodArguments as System.Type extent):
   end method.

   method public override System.Type ResolveType(input metadataToken as integer, input genericTypeArguments as System.Type extent, input genericMethodArguments as System.Type extent):
   end method.

   method public override System.Reflection.MemberInfo ResolveMember(input metadataToken as integer, input genericTypeArguments as System.Type extent, input genericMethodArguments as System.Type extent):
   end method.

   method public override character ResolveString(input metadataToken as integer):
   end method.

   method public override void GetPEKind(input peKind as System.Reflection.PortableExecutableKinds, input machine as System.Reflection.ImageFileMachine):
   end method.

   method public override logical IsResource():
   end method.

   method public override System.Reflection.FieldInfo extent GetFields(input bindingFlags as System.Reflection.BindingFlags):
   end method.

   method public override System.Reflection.FieldInfo GetField(input name as character, input bindingAttr as System.Reflection.BindingFlags):
   end method.

   method public override System.Reflection.MethodInfo extent GetMethods(input bindingFlags as System.Reflection.BindingFlags):
   end method.

   method protected override System.Reflection.MethodInfo GetMethodImpl(input name as character, input bindingAttr as System.Reflection.BindingFlags, input binder as System.Reflection.Binder, input callConvention as System.Reflection.CallingConventions, input types as System.Type extent, input modifiers as System.Reflection.ParameterModifier extent):
   end method.

   method public override System.Security.Cryptography.X509Certificates.X509Certificate GetSignerCertificate():
   end method.

   method public final System.Reflection.Emit.TypeBuilder DefineType(input name as character):
   end method.

   method public final System.Reflection.Emit.TypeBuilder DefineType(input name as character, input attr as System.Reflection.TypeAttributes):
   end method.

   method public final System.Reflection.Emit.TypeBuilder DefineType(input name as character, input attr as System.Reflection.TypeAttributes, input parent as System.Type):
   end method.

   method public final System.Reflection.Emit.TypeBuilder DefineType(input name as character, input attr as System.Reflection.TypeAttributes, input parent as System.Type, input typesize as integer):
   end method.

   method public final System.Reflection.Emit.TypeBuilder DefineType(input name as character, input attr as System.Reflection.TypeAttributes, input parent as System.Type, input packingSize as System.Reflection.Emit.PackingSize, input typesize as integer):
   end method.

   method public final System.Reflection.Emit.TypeBuilder DefineType(input name as character, input attr as System.Reflection.TypeAttributes, input parent as System.Type, input interfaces as System.Type extent):
   end method.

   method public final System.Reflection.Emit.TypeBuilder DefineType(input name as character, input attr as System.Reflection.TypeAttributes, input parent as System.Type, input packsize as System.Reflection.Emit.PackingSize):
   end method.

   method public final System.Reflection.Emit.EnumBuilder DefineEnum(input name as character, input visibility as System.Reflection.TypeAttributes, input underlyingType as System.Type):
   end method.

   method public final System.Resources.IResourceWriter DefineResource(input name as character, input description as character):
   end method.

   method public final System.Resources.IResourceWriter DefineResource(input name as character, input description as character, input attribute as System.Reflection.ResourceAttributes):
   end method.

   method public final void DefineManifestResource(input name as character, input stream as System.IO.Stream, input attribute as System.Reflection.ResourceAttributes):
   end method.

   method public final void DefineUnmanagedResource(input resource as System.Byte extent):
   end method.

   method public final void DefineUnmanagedResource(input resourceFileName as character):
   end method.

   method public final System.Reflection.Emit.MethodBuilder DefineGlobalMethod(input name as character, input attributes as System.Reflection.MethodAttributes, input returnType as System.Type, input parameterTypes as System.Type extent):
   end method.

   method public final System.Reflection.Emit.MethodBuilder DefineGlobalMethod(input name as character, input attributes as System.Reflection.MethodAttributes, input callingConvention as System.Reflection.CallingConventions, input returnType as System.Type, input parameterTypes as System.Type extent):
   end method.

   method public final System.Reflection.Emit.MethodBuilder DefineGlobalMethod(input name as character, input attributes as System.Reflection.MethodAttributes, input callingConvention as System.Reflection.CallingConventions, input returnType as System.Type, input requiredReturnTypeCustomModifiers as System.Type extent, input optionalReturnTypeCustomModifiers as System.Type extent, input parameterTypes as System.Type extent, input requiredParameterTypeCustomModifiers as System.Type extent, input optionalParameterTypeCustomModifiers as System.Type extent):
   end method.

   method public final System.Reflection.Emit.MethodBuilder DefinePInvokeMethod(input name as character, input dllName as character, input attributes as System.Reflection.MethodAttributes, input callingConvention as System.Reflection.CallingConventions, input returnType as System.Type, input parameterTypes as System.Type extent, input nativeCallConv as System.Runtime.InteropServices.CallingConvention, input nativeCharSet as System.Runtime.InteropServices.CharSet):
   end method.

   method public final System.Reflection.Emit.MethodBuilder DefinePInvokeMethod(input name as character, input dllName as character, input entryName as character, input attributes as System.Reflection.MethodAttributes, input callingConvention as System.Reflection.CallingConventions, input returnType as System.Type, input parameterTypes as System.Type extent, input nativeCallConv as System.Runtime.InteropServices.CallingConvention, input nativeCharSet as System.Runtime.InteropServices.CharSet):
   end method.

   method public final void CreateGlobalFunctions():
   end method.

   method public final System.Reflection.Emit.FieldBuilder DefineInitializedData(input name as character, input data as System.Byte extent, input attributes as System.Reflection.FieldAttributes):
   end method.

   method public final System.Reflection.Emit.FieldBuilder DefineUninitializedData(input name as character, input size as integer, input attributes as System.Reflection.FieldAttributes):
   end method.

   method public final System.Reflection.Emit.TypeToken GetTypeToken(input type as System.Type):
   end method.

   method public final System.Reflection.Emit.TypeToken GetTypeToken(input name as character):
   end method.

   method public final System.Reflection.Emit.MethodToken GetMethodToken(input method as System.Reflection.MethodInfo):
   end method.

   method public final System.Reflection.Emit.MethodToken GetConstructorToken(input constructor as System.Reflection.ConstructorInfo, input optionalParameterTypes as System.Collections.Generic.IEnumerable):
   end method.

   method public final System.Reflection.Emit.MethodToken GetMethodToken(input method as System.Reflection.MethodInfo, input optionalParameterTypes as System.Collections.Generic.IEnumerable):
   end method.

   method public final System.Reflection.Emit.MethodToken GetArrayMethodToken(input arrayClass as System.Type, input methodName as character, input callingConvention as System.Reflection.CallingConventions, input returnType as System.Type, input parameterTypes as System.Type extent):
   end method.

   method public final System.Reflection.MethodInfo GetArrayMethod(input arrayClass as System.Type, input methodName as character, input callingConvention as System.Reflection.CallingConventions, input returnType as System.Type, input parameterTypes as System.Type extent):
   end method.

   method public final System.Reflection.Emit.MethodToken GetConstructorToken(input con as System.Reflection.ConstructorInfo):
   end method.

   method public final System.Reflection.Emit.FieldToken GetFieldToken(input field as System.Reflection.FieldInfo):
   end method.

   method public final System.Reflection.Emit.StringToken GetStringConstant(input str as character):
   end method.

   method public final System.Reflection.Emit.SignatureToken GetSignatureToken(input sigHelper as System.Reflection.Emit.SignatureHelper):
   end method.

   method public final System.Reflection.Emit.SignatureToken GetSignatureToken(input sigBytes as System.Byte extent, input sigLength as integer):
   end method.

   method public final void SetCustomAttribute(input con as System.Reflection.ConstructorInfo, input binaryAttribute as System.Byte extent):
   end method.

   method public final void SetCustomAttribute(input customBuilder as System.Reflection.Emit.CustomAttributeBuilder):
   end method.

   method public final System.Diagnostics.SymbolStore.ISymbolWriter GetSymWriter():
   end method.

   method public final System.Diagnostics.SymbolStore.ISymbolDocumentWriter DefineDocument(input url as character, input language as System.Guid, input languageVendor as System.Guid, input documentType as System.Guid):
   end method.

   method public final void SetUserEntryPoint(input entryPoint as System.Reflection.MethodInfo):
   end method.

   method public final void SetSymCustomAttribute(input name as character, input data as System.Byte extent):
   end method.

   method public final logical IsTransient():
   end method.

end class.
