class System.Reflection.FieldInfo
   inherits System.Reflection.MemberInfo
   implements System.Reflection.ICustomAttributeProvider, System.Runtime.InteropServices._MemberInfo, System.Runtime.InteropServices._FieldInfo
   abstract:

   def public override property MemberType as System.Reflection.MemberTypes
      get.

   def public abstract property FieldHandle as System.RuntimeFieldHandle
      get.

   def public abstract property FieldType as System.Type
      get.

   def public abstract property Attributes as System.Reflection.FieldAttributes
      get.

   def public property IsPublic as logical
      get.

   def public property IsPrivate as logical
      get.

   def public property IsFamily as logical
      get.

   def public property IsAssembly as logical
      get.

   def public property IsFamilyAndAssembly as logical
      get.

   def public property IsFamilyOrAssembly as logical
      get.

   def public property IsStatic as logical
      get.

   def public property IsInitOnly as logical
      get.

   def public property IsLiteral as logical
      get.

   def public property IsNotSerialized as logical
      get.

   def public property IsSpecialName as logical
      get.

   def public property IsPinvokeImpl as logical
      get.

   def public property IsSecurityCritical as logical
      get.

   def public property IsSecuritySafeCritical as logical
      get.

   def public property IsSecurityTransparent as logical
      get.

   constructor protected FieldInfo():
   end constructor.

   method public final static System.Reflection.FieldInfo GetFieldFromHandle(input handle as System.RuntimeFieldHandle):
   end method.

   method public final static System.Reflection.FieldInfo GetFieldFromHandle(input handle as System.RuntimeFieldHandle, input declaringType as System.RuntimeTypeHandle):
   end method.

   method public override logical Equals(input obj as System.Object):
   end method.

   method public final override integer GetHashCode():
   end method.

   method public System.Type extent GetRequiredCustomModifiers():
   end method.

   method public System.Type extent GetOptionalCustomModifiers():
   end method.

   method public void SetValueDirect(input obj as System.TypedReference, input value as System.Object):
   end method.

   method public System.Object GetValueDirect(input obj as System.TypedReference):
   end method.

   method public abstract System.Object GetValue(input obj as System.Object).

   method public System.Object GetRawConstantValue():
   end method.

   method public abstract void SetValue(input obj as System.Object, input value as System.Object, input invokeAttr as System.Reflection.BindingFlags, input binder as System.Reflection.Binder, input culture as System.Globalization.CultureInfo).

   method public final void SetValue(input obj as System.Object, input value as System.Object):
   end method.

end class.
