class System.Security.Policy.CodeGroup
   inherits System.Object
   abstract:

   def public property Children as System.Collections.IList
      get.
      set.

   def public property MembershipCondition as System.Security.Policy.IMembershipCondition
      get.
      set.

   def public property PolicyStatement as System.Security.Policy.PolicyStatement
      get.
      set.

   def public property Name as character
      get.
      set.

   def public property Description as character
      get.
      set.

   def public property PermissionSetName as character
      get.

   def public property AttributeString as character
      get.

   def public abstract property MergeLogic as character
      get.

   constructor protected CodeGroup(input membershipCondition as System.Security.Policy.IMembershipCondition, input policy as System.Security.Policy.PolicyStatement):
   end constructor.

   method public final void AddChild(input group as System.Security.Policy.CodeGroup):
   end method.

   method public final void RemoveChild(input group as System.Security.Policy.CodeGroup):
   end method.

   method public abstract System.Security.Policy.PolicyStatement Resolve(input evidence as System.Security.Policy.Evidence).

   method public abstract System.Security.Policy.CodeGroup ResolveMatchingCodeGroups(input evidence as System.Security.Policy.Evidence).

   method public abstract System.Security.Policy.CodeGroup Copy().

   method public final System.Security.SecurityElement ToXml():
   end method.

   method public final void FromXml(input e as System.Security.SecurityElement):
   end method.

   method public final System.Security.SecurityElement ToXml(input level as System.Security.Policy.PolicyLevel):
   end method.

   method protected void CreateXml(input element as System.Security.SecurityElement, input level as System.Security.Policy.PolicyLevel):
   end method.

   method public final void FromXml(input e as System.Security.SecurityElement, input level as System.Security.Policy.PolicyLevel):
   end method.

   method protected void ParseXml(input e as System.Security.SecurityElement, input level as System.Security.Policy.PolicyLevel):
   end method.

   method public override logical Equals(input o as System.Object):
   end method.

   method public final logical Equals(input cg as System.Security.Policy.CodeGroup, input compareChildren as logical):
   end method.

   method public final override integer GetHashCode():
   end method.

end class.
