class System.Security.Policy.StrongNameMembershipCondition
   inherits System.Object
   implements System.Security.Policy.IMembershipCondition, System.Security.ISecurityEncodable, System.Security.ISecurityPolicyEncodable, System.Security.Policy.IConstantMembershipCondition, System.Security.Policy.IReportMatchMembershipCondition
   final:

   def public property PublicKey as System.Security.Permissions.StrongNamePublicKeyBlob
      get.
      set.

   def public property Name as character
      get.
      set.

   def public property Version as System.Version
      get.
      set.

   constructor public StrongNameMembershipCondition(input blob as System.Security.Permissions.StrongNamePublicKeyBlob, input name as character, input version as System.Version):
   end constructor.

   method public final logical Check(input evidence as System.Security.Policy.Evidence):
   end method.

   method public final System.Security.Policy.IMembershipCondition Copy():
   end method.

   method public final System.Security.SecurityElement ToXml():
   end method.

   method public final void FromXml(input e as System.Security.SecurityElement):
   end method.

   method public final System.Security.SecurityElement ToXml(input level as System.Security.Policy.PolicyLevel):
   end method.

   method public final void FromXml(input e as System.Security.SecurityElement, input level as System.Security.Policy.PolicyLevel):
   end method.

   method public override character ToString():
   end method.

   method public override logical Equals(input o as System.Object):
   end method.

   method public final override integer GetHashCode():
   end method.

end class.
