class System.ServiceModel.Security.SecurityMessageProperty
   inherits System.Object
   implements System.ServiceModel.Channels.IMessageProperty, System.IDisposable:

   def public property ServiceSecurityContext as System.ServiceModel.ServiceSecurityContext
      get.
      set.

   def public property ExternalAuthorizationPolicies as System.Collections.ObjectModel.ReadOnlyCollection
      get.
      set.

   def public property ProtectionToken as System.ServiceModel.Security.SecurityTokenSpecification
      get.
      set.

   def public property InitiatorToken as System.ServiceModel.Security.SecurityTokenSpecification
      get.
      set.

   def public property RecipientToken as System.ServiceModel.Security.SecurityTokenSpecification
      get.
      set.

   def public property TransportToken as System.ServiceModel.Security.SecurityTokenSpecification
      get.
      set.

   def public property SenderIdPrefix as character
      get.
      set.

   def public property HasIncomingSupportingTokens as logical
      get.

   def public property IncomingSupportingTokens as System.Collections.ObjectModel.Collection
      get.

   def public property OutgoingSupportingTokens as System.Collections.ObjectModel.Collection
      get.

   constructor public SecurityMessageProperty():
   end constructor.

   method public final System.ServiceModel.Channels.IMessageProperty CreateCopy():
   end method.

   method public final static System.ServiceModel.Security.SecurityMessageProperty GetOrCreate(input message as System.ServiceModel.Channels.Message):
   end method.

   method public final void Dispose():
   end method.

end class.
