class System.Xml.XmlWriter
   inherits System.Object
   implements System.IDisposable
   abstract:

   def public property Settings as System.Xml.XmlWriterSettings
      get.

   def public abstract property WriteState as System.Xml.WriteState
      get.

   def public property XmlSpace as System.Xml.XmlSpace
      get.

   def public property XmlLang as character
      get.

   constructor protected XmlWriter():
   end constructor.

   method public abstract void WriteStartDocument().

   method public abstract void WriteStartDocument(input standalone as logical).

   method public abstract void WriteEndDocument().

   method public abstract void WriteDocType(input name as character, input pubid as character, input sysid as character, input subset as character).

   method public final void WriteStartElement(input localName as character, input ns as character):
   end method.

   method public abstract void WriteStartElement(input prefix as character, input localName as character, input ns as character).

   method public final void WriteStartElement(input localName as character):
   end method.

   method public abstract void WriteEndElement().

   method public abstract void WriteFullEndElement().

   method public final void WriteAttributeString(input localName as character, input ns as character, input value as character):
   end method.

   method public final void WriteAttributeString(input localName as character, input value as character):
   end method.

   method public final void WriteAttributeString(input prefix as character, input localName as character, input ns as character, input value as character):
   end method.

   method public final void WriteStartAttribute(input localName as character, input ns as character):
   end method.

   method public abstract void WriteStartAttribute(input prefix as character, input localName as character, input ns as character).

   method public final void WriteStartAttribute(input localName as character):
   end method.

   method public abstract void WriteEndAttribute().

   method public abstract void WriteCData(input text as character).

   method public abstract void WriteComment(input text as character).

   method public abstract void WriteProcessingInstruction(input name as character, input text as character).

   method public abstract void WriteEntityRef(input name as character).

   method public abstract void WriteCharEntity(input ch as character).

   method public abstract void WriteWhitespace(input ws as character).

   method public abstract void WriteString(input text as character).

   method public abstract void WriteSurrogateCharEntity(input lowChar as character, input highChar as character).

   method public abstract void WriteChars(input buffer as System.Char extent, input index as integer, input count as integer).

   method public abstract void WriteRaw(input buffer as System.Char extent, input index as integer, input count as integer).

   method public abstract void WriteRaw(input data as character).

   method public abstract void WriteBase64(input buffer as System.Byte extent, input index as integer, input count as integer).

   method public void WriteBinHex(input buffer as System.Byte extent, input index as integer, input count as integer):
   end method.

   method public void Close():
   end method.

   method public abstract void Flush().

   method public abstract character LookupPrefix(input ns as character).

   method public void WriteNmToken(input name as character):
   end method.

   method public void WriteName(input name as character):
   end method.

   method public void WriteQualifiedName(input localName as character, input ns as character):
   end method.

   method public void WriteValue(input value as System.Object):
   end method.

   method public void WriteValue(input value as character):
   end method.

   method public void WriteValue(input value as logical):
   end method.

   method public void WriteValue(input value as datetime):
   end method.

   method public void WriteValue(input value as System.DateTimeOffset):
   end method.

   method public void WriteValue(input value as decimal):
   end method.

   method public void WriteValue(input value as decimal):
   end method.

   method public void WriteValue(input value as decimal):
   end method.

   method public void WriteValue(input value as integer):
   end method.

   method public void WriteValue(input value as int64):
   end method.

   method public void WriteAttributes(input reader as System.Xml.XmlReader, input defattr as logical):
   end method.

   method public void WriteNode(input reader as System.Xml.XmlReader, input defattr as logical):
   end method.

   method public void WriteNode(input navigator as System.Xml.XPath.XPathNavigator, input defattr as logical):
   end method.

   method public final void WriteElementString(input localName as character, input value as character):
   end method.

   method public final void WriteElementString(input localName as character, input ns as character, input value as character):
   end method.

   method public final void WriteElementString(input prefix as character, input localName as character, input ns as character, input value as character):
   end method.

   method public final void Dispose():
   end method.

   method protected final void Dispose(input disposing as logical):
   end method.

   method public final static System.Xml.XmlWriter Create(input outputFileName as character):
   end method.

   method public final static System.Xml.XmlWriter Create(input outputFileName as character, input settings as System.Xml.XmlWriterSettings):
   end method.

   method public final static System.Xml.XmlWriter Create(input output as System.IO.Stream):
   end method.

   method public final static System.Xml.XmlWriter Create(input output as System.IO.Stream, input settings as System.Xml.XmlWriterSettings):
   end method.

   method public final static System.Xml.XmlWriter Create(input output as System.IO.TextWriter):
   end method.

   method public final static System.Xml.XmlWriter Create(input output as System.IO.TextWriter, input settings as System.Xml.XmlWriterSettings):
   end method.

   method public final static System.Xml.XmlWriter Create(input output as System.Text.StringBuilder):
   end method.

   method public final static System.Xml.XmlWriter Create(input output as System.Text.StringBuilder, input settings as System.Xml.XmlWriterSettings):
   end method.

   method public final static System.Xml.XmlWriter Create(input output as System.Xml.XmlWriter):
   end method.

   method public final static System.Xml.XmlWriter Create(input output as System.Xml.XmlWriter, input settings as System.Xml.XmlWriterSettings):
   end method.

   method public System.Threading.Tasks.Task WriteStartDocumentAsync():
   end method.

   method public System.Threading.Tasks.Task WriteStartDocumentAsync(input standalone as logical):
   end method.

   method public System.Threading.Tasks.Task WriteEndDocumentAsync():
   end method.

   method public System.Threading.Tasks.Task WriteDocTypeAsync(input name as character, input pubid as character, input sysid as character, input subset as character):
   end method.

   method public System.Threading.Tasks.Task WriteStartElementAsync(input prefix as character, input localName as character, input ns as character):
   end method.

   method public System.Threading.Tasks.Task WriteEndElementAsync():
   end method.

   method public System.Threading.Tasks.Task WriteFullEndElementAsync():
   end method.

   method public final System.Threading.Tasks.Task WriteAttributeStringAsync(input prefix as character, input localName as character, input ns as character, input value as character):
   end method.

   method protected System.Threading.Tasks.Task WriteStartAttributeAsync(input prefix as character, input localName as character, input ns as character):
   end method.

   method protected System.Threading.Tasks.Task WriteEndAttributeAsync():
   end method.

   method public System.Threading.Tasks.Task WriteCDataAsync(input text as character):
   end method.

   method public System.Threading.Tasks.Task WriteCommentAsync(input text as character):
   end method.

   method public System.Threading.Tasks.Task WriteProcessingInstructionAsync(input name as character, input text as character):
   end method.

   method public System.Threading.Tasks.Task WriteEntityRefAsync(input name as character):
   end method.

   method public System.Threading.Tasks.Task WriteCharEntityAsync(input ch as character):
   end method.

   method public System.Threading.Tasks.Task WriteWhitespaceAsync(input ws as character):
   end method.

   method public System.Threading.Tasks.Task WriteStringAsync(input text as character):
   end method.

   method public System.Threading.Tasks.Task WriteSurrogateCharEntityAsync(input lowChar as character, input highChar as character):
   end method.

   method public System.Threading.Tasks.Task WriteCharsAsync(input buffer as System.Char extent, input index as integer, input count as integer):
   end method.

   method public System.Threading.Tasks.Task WriteRawAsync(input buffer as System.Char extent, input index as integer, input count as integer):
   end method.

   method public System.Threading.Tasks.Task WriteRawAsync(input data as character):
   end method.

   method public System.Threading.Tasks.Task WriteBase64Async(input buffer as System.Byte extent, input index as integer, input count as integer):
   end method.

   method public System.Threading.Tasks.Task WriteBinHexAsync(input buffer as System.Byte extent, input index as integer, input count as integer):
   end method.

   method public System.Threading.Tasks.Task FlushAsync():
   end method.

   method public System.Threading.Tasks.Task WriteNmTokenAsync(input name as character):
   end method.

   method public System.Threading.Tasks.Task WriteNameAsync(input name as character):
   end method.

   method public System.Threading.Tasks.Task WriteQualifiedNameAsync(input localName as character, input ns as character):
   end method.

   method public System.Threading.Tasks.Task WriteAttributesAsync(input reader as System.Xml.XmlReader, input defattr as logical):
   end method.

   method public System.Threading.Tasks.Task WriteNodeAsync(input reader as System.Xml.XmlReader, input defattr as logical):
   end method.

   method public System.Threading.Tasks.Task WriteNodeAsync(input navigator as System.Xml.XPath.XPathNavigator, input defattr as logical):
   end method.

   method public final System.Threading.Tasks.Task WriteElementStringAsync(input prefix as character, input localName as character, input ns as character, input value as character):
   end method.

end class.
