class OpenEdge.Core.String
	implements Ccs.Common.Support.ILongcharHolder, 
		OpenEdge.Core.ISupportEncoding, 
		Ccs.Common.Support.IPrimitiveHolder:

	constructor public String ():
	end.

	constructor public String ( pcString as longchar):
	end.

	constructor public String ( pcString as character):
	end.

	define public property Encoding as character no-undo
		public get.
		public set.

	define public property Value as longchar no-undo
		public get.

	define public property Size as int64 no-undo
		public get.

	method public void Trim ():
	end.

	method public void Trim ( pCharacter as character):
	end.

	method public static OpenEdge.Core.String Empty ():
	end.

	method public override logical Equals ( p0 as Progress.Lang.Object):
	end.

	method public OpenEdge.Core.Collections.Array Split ( pcDelimiter as character):
	end.

	method public OpenEdge.Core.Collections.Array Split ():
	end.

	method public static OpenEdge.Core.Collections.Array Split ( poValue as OpenEdge.Core.String):
	end.

	method public static OpenEdge.Core.Collections.Array Split ( poValue as OpenEdge.Core.String, pcDelimiter as character):
	end.

	method public static character extent Split ( pcValue as longchar):
	end.

	method public static character extent Split ( pcValue as longchar, pcDelimiter as character):
	end.

	method public static OpenEdge.Core.String Join ( poValue as OpenEdge.Core.Collections.Array, pcDelimiter as character):
	end.

	method public static OpenEdge.Core.String Join ( poValue as OpenEdge.Core.String extent , pcDelimiter as character):
	end.

	method public static longchar Join ( pcValue as character extent , pcDelimiter as character):
	end.

	method public override character ToString ():
	end.

	method public void Append ( pcValue as longchar):
	end.

	method public void Append ( poValue as OpenEdge.Core.String):
	end.

	method public void Prepend ( pcValue as longchar):
	end.

	method public void Prepend ( poValue as OpenEdge.Core.String):
	end.

	method public static logical IsQuoted ( pcValue as longchar):
	end.

	method public static logical IsQuoted ( pcValue as longchar, pcQuote as character):
	end.

	method public logical IsNullOrEmpty ():
	end.

	method public static logical IsNullOrEmpty ( pcValue as longchar):
	end.

end.
