class OpenEdge.Core.XML.SaxWriter:

	constructor public SaxWriter ():
	end.

	constructor public SaxWriter ( pcFilename as character):
	end.

	constructor public SaxWriter ( pcDocument as longchar):
	end.

	constructor public SaxWriter ( phStream as handle):
	end.

	constructor public SaxWriter ( pmDocument as memptr):
	end.

	define public property WriteStatus as OpenEdge.Core.XML.SaxWriteStatusEnum no-undo
		public get.

	define public property Encoding as character no-undo
		public get.
		public set.

	define public property IsFormatted as logical no-undo
		public get.
		public set.

	define public property IsFragment as logical no-undo
		public get.
		public set.

	define public property IsStandalone as logical no-undo
		public get.
		public set.

	define public property IsStrict as logical no-undo
		public get.
		public set.

	define public property Version as character no-undo
		public get.
		public set.

	method public OpenEdge.Core.XML.SaxWriter SetVersion ( pcVersion as character):
	end.

	method public OpenEdge.Core.XML.SaxWriter SetEncoding ( pcEncoding as character):
	end.

	method public OpenEdge.Core.XML.SaxWriter SetIsFormatted ( plIsFormatted as logical):
	end.

	method public OpenEdge.Core.XML.SaxWriter SetIsStandalone ( plIsStandalone as logical):
	end.

	method public OpenEdge.Core.XML.SaxWriter SetIsFragment ( plIsFragment as logical):
	end.

	method public OpenEdge.Core.XML.SaxWriter SetIsStrict ( plIsStrict as logical):
	end.

	method protected void ValidateCanUpdateProperty ( pcPropertyName as character):
	end.

	method public void Initialize ():
	end.

	method public OpenEdge.Core.XML.SaxWriter Reset ():
	end.

	method public OpenEdge.Core.XML.SaxWriter WriteTo ( pcFilename as character):
	end.

	method public OpenEdge.Core.XML.SaxWriter WriteTo ( pcDocument as longchar):
	end.

	method public OpenEdge.Core.XML.SaxWriter WriteTo ( phStream as handle):
	end.

	method public OpenEdge.Core.XML.SaxWriter WriteTo ( pmDocument as memptr):
	end.

	method public OpenEdge.Core.XML.SaxWriter StartDocument ():
	end.

	method public void EndDocument ():
	end.

	method public OpenEdge.Core.XML.SaxWriter DeclareNamespace ( pcNamespaceURI as longchar):
	end.

	method public OpenEdge.Core.XML.SaxWriter DeclareNamespace ( pcNamespaceURI as longchar, pcNamespacePrefix as longchar):
	end.

	method public OpenEdge.Core.XML.SaxWriter StartElement ( pcName as longchar):
	end.

	method public OpenEdge.Core.XML.SaxWriter StartElement ( pcName as longchar, pcNamespaceURI as longchar):
	end.

	method public OpenEdge.Core.XML.SaxWriter StartElement ( pcName as longchar, pcNamespaceURI as longchar, phSaxAttributes as handle):
	end.

	method public OpenEdge.Core.XML.SaxWriter EndElement ( pcName as longchar):
	end.

	method public OpenEdge.Core.XML.SaxWriter EndElement ( pcName as longchar, pcNamespaceURI as longchar):
	end.

	method public OpenEdge.Core.XML.SaxWriter InsertAttribute ( pcName as longchar, pcValue as longchar):
	end.

	method public OpenEdge.Core.XML.SaxWriter InsertAttribute ( pcName as longchar, pcValue as longchar, pcNamespaceURI as longchar):
	end.

	method public OpenEdge.Core.XML.SaxWriter WriteValue ( pcValue as longchar):
	end.

	method public OpenEdge.Core.XML.SaxWriter WriteValue ( poType as OpenEdge.Core.XML.SaxWriterDataTypeEnum, pcValue as longchar):
	end.

	method public OpenEdge.Core.XML.SaxWriter WriteFragment ( phNodeRef as handle):
	end.

	method public OpenEdge.Core.XML.SaxWriter WriteFragment ( pcValue as longchar):
	end.

	method public OpenEdge.Core.XML.SaxWriter WriteDataElement ( pcName as longchar, pcValue as longchar):
	end.

	method public OpenEdge.Core.XML.SaxWriter WriteDataElement ( pcName as longchar, pcValue as longchar, pcNamespaceURI as longchar):
	end.

	method public OpenEdge.Core.XML.SaxWriter WriteDataElement ( pcName as longchar, pcValue as longchar, pcNamespaceURI as longchar, phSaxAttributes as handle):
	end.

	method public OpenEdge.Core.XML.SaxWriter WriteEmptyElement ( pcName as longchar):
	end.

	method public OpenEdge.Core.XML.SaxWriter WriteEmptyElement ( pcName as longchar, pcNamespaceURI as longchar):
	end.

	method public OpenEdge.Core.XML.SaxWriter WriteEmptyElement ( pcName as longchar, pcNamespaceURI as longchar, phSaxAttributes as handle):
	end.

	method public OpenEdge.Core.XML.SaxWriter WriteExternalDTD ( pcName as longchar, pcSystemId as longchar):
	end.

	method public OpenEdge.Core.XML.SaxWriter WriteExternalDTD ( pcName as longchar, pcSystemId as longchar, pcPublicId as longchar):
	end.

	method public OpenEdge.Core.XML.SaxWriter WriteProcessingInstruction ( pcTarget as longchar, pcData as longchar):
	end.

end.
