class OpenEdge.Net.HTTP.HttpRequestDecorator
	implements OpenEdge.Net.HTTP.IHttpRequest, 
		OpenEdge.Core.IAdaptable, 
		OpenEdge.Net.HTTP.IHttpMessage:

	constructor public HttpRequestDecorator ( poHttpRequest as OpenEdge.Net.HTTP.IHttpRequest):
	end.

	define protected property DecoratedHttpRequest as OpenEdge.Net.HTTP.IHttpRequest no-undo
		protected get.
		private set.

	define public property Method as character no-undo
		public get.
		public set.

	define public property URI as OpenEdge.Net.URI no-undo
		public get.
		public set.

	define public property Version as character no-undo
		public get.
		public set.

	define public property ContentType as character no-undo
		public get.
		public set.

	define public property CharacterEncoding as character no-undo
		public get.
		public set.

	define public property ContentMD5 as raw no-undo
		public get.
		public set.

	define public property Entity as Progress.Lang.Object no-undo
		public get.
		public set.

	define public property ContentLength as integer no-undo
		public get.
		public set.

	define public property TransferEncoding as character no-undo
		public get.
		public set.

	method public void SetHeader ( poHeader as OpenEdge.Net.HTTP.HttpHeader):
	end.

	method public void SetHeaders ( poHeader as OpenEdge.Net.HTTP.HttpHeader extent ):
	end.

	method public OpenEdge.Net.HTTP.HttpHeader GetHeader ( pcName as character):
	end.

	method public integer GetHeaders ( output poHeader as OpenEdge.Net.HTTP.HttpHeader extent ):
	end.

	method public void RemoveHeader ( pcName as character):
	end.

	method public logical HasHeader ( pcName as character):
	end.

	method public void ClearHeaders ():
	end.

	method public void SetCookie ( poCookie as OpenEdge.Net.HTTP.Cookie):
	end.

	method public void SetCookies ( poCookies as OpenEdge.Net.HTTP.Cookie extent ):
	end.

	method public integer GetCookies ( output poCookies as OpenEdge.Net.HTTP.Cookie extent ):
	end.

	method public void RemoveCookie ( poCookie as OpenEdge.Net.HTTP.Cookie):
	end.

	method public logical HasCookie ( poCookie as OpenEdge.Net.HTTP.Cookie):
	end.

	method public void ClearCookies ():
	end.

	method public void RemoveCookie ( pcName as character):
	end.

	method public logical HasCookie ( pcName as character):
	end.

	method public OpenEdge.Net.HTTP.Cookie GetCookie ( pcName as character):
	end.

	method public Progress.Lang.Object GetAdapter ( poAdaptTo as Progress.Lang.Class):
	end.

end.
