class OpenEdge.Net.HTTP.Lib.ClientLibraryBuilder
	inherits OpenEdge.Net.HTTP.ConfigBuilder
 abstract:

	constructor public ClientLibraryBuilder ():
	end.

	define public static property Registry as OpenEdge.Net.HTTP.BuilderRegistry no-undo
		public get.
		private set.

	define protected property PROP_SSL_PROTOCOLS as character no-undo
		protected get.

	define protected property PROP_SSL_CIPHERS as character no-undo
		protected get.

	define protected property PROP_SSL_HOSTVERIFY as character no-undo
		protected get.

	define protected property PROP_REUSESESSION as character no-undo
		protected get.

	define protected property PROP_SERVERNAME as character no-undo
		protected get.

	define public abstract property Library as OpenEdge.Net.HTTP.IHttpClientLibrary no-undo
		public get.

	method public static OpenEdge.Net.HTTP.Lib.ClientLibraryBuilder Build ():
	end.

	method public OpenEdge.Net.HTTP.Lib.ClientLibraryBuilder ServerNameIndicator ( pServerName as character):
	end.

	method public OpenEdge.Net.HTTP.Lib.ClientLibraryBuilder SetSslProtocols ( pcProtocols as character extent ):
	end.

	method public OpenEdge.Net.HTTP.Lib.ClientLibraryBuilder AddSslProtocol ( pcProtocol as character):
	end.

	method public OpenEdge.Net.HTTP.Lib.ClientLibraryBuilder SetSslCiphers ( pcCiphers as character extent ):
	end.

	method public OpenEdge.Net.HTTP.Lib.ClientLibraryBuilder AddSslCipher ( pcCipher as character):
	end.

	method public OpenEdge.Net.HTTP.Lib.ClientLibraryBuilder SslVerifyHost ( plVerify as logical):
	end.

	method public OpenEdge.Net.HTTP.Lib.ClientLibraryBuilder ReuseSession ( pReuse as logical):
	end.

	method public OpenEdge.Net.HTTP.Lib.ClientLibraryBuilder Option ( pcName as character, pcValue as character):
	end.

	method public OpenEdge.Net.HTTP.Lib.ClientLibraryBuilder Option ( pcName as character, poValue as Progress.Lang.Object):
	end.

	method public OpenEdge.Net.HTTP.Lib.ClientLibraryBuilder Option ( pcName as character, piValue as int64):
	end.

	method public OpenEdge.Net.HTTP.Lib.ClientLibraryBuilder Option ( pcName as character, pdValue as decimal):
	end.

	method public OpenEdge.Net.HTTP.Lib.ClientLibraryBuilder Option ( pcName as character, plValue as logical):
	end.

	method public OpenEdge.Net.HTTP.Lib.ClientLibraryBuilder SetRequestTimeout ( pdValue as decimal):
	end.

	method public OpenEdge.Net.HTTP.Lib.ClientLibraryBuilder UsingLogger ( poLogger as OpenEdge.Logging.ILogWriter):
	end.

end.
