class ComponentFactory.Krypton.Navigator.NavigatorOutlookMini
   inherits ComponentFactory.Krypton.Toolkit.Storage:

   def public override property IsDefault as logical
      get.

   def public property MiniButtonStyle as ComponentFactory.Krypton.Toolkit.ButtonStyle
      get.
      set.

   def public property MiniMapImage as ComponentFactory.Krypton.Navigator.MapKryptonPageImage
      get.
      set.

   def public property MiniMapText as ComponentFactory.Krypton.Navigator.MapKryptonPageText
      get.
      set.

   def public property MiniMapExtraText as ComponentFactory.Krypton.Navigator.MapKryptonPageText
      get.
      set.

   def public property StackMapImage as ComponentFactory.Krypton.Navigator.MapKryptonPageImage
      get.
      set.

   def public property StackMapText as ComponentFactory.Krypton.Navigator.MapKryptonPageText
      get.
      set.

   def public property StackMapExtraText as ComponentFactory.Krypton.Navigator.MapKryptonPageText
      get.
      set.

   constructor public NavigatorOutlookMini(input navigator as ComponentFactory.Krypton.Navigator.KryptonNavigator, input needPaint as ComponentFactory.Krypton.Toolkit.NeedPaintHandler):
   end constructor.

   method public final void ResetMiniMapImage():
   end method.

   method public final void ResetMiniMapText():
   end method.

   method public final void ResetMiniMapExtraText():
   end method.

   method public final void ResetStackMapImage():
   end method.

   method public final void ResetStackMapText():
   end method.

   method public final void ResetStackMapExtraText():
   end method.

end class.
