class ComponentFactory.Krypton.Navigator.PaletteNavigator
   inherits ComponentFactory.Krypton.Toolkit.PaletteDoubleMetric
   implements ComponentFactory.Krypton.Toolkit.IPaletteDouble, ComponentFactory.Krypton.Toolkit.IPaletteMetric:

   def public override property IsDefault as logical
      get.

   def public override property Back as ComponentFactory.Krypton.Toolkit.PaletteBack
      get.

   def public override property PaletteBack as ComponentFactory.Krypton.Toolkit.IPaletteBack
      get.

   def public override property Border as ComponentFactory.Krypton.Toolkit.PaletteBorder
      get.

   def public override property PaletteBorder as ComponentFactory.Krypton.Toolkit.IPaletteBorder
      get.

   def public property Panel as ComponentFactory.Krypton.Toolkit.PaletteBack
      get.

   def public property CheckButton as ComponentFactory.Krypton.Toolkit.PaletteTriple
      get.

   def public property OverflowButton as ComponentFactory.Krypton.Toolkit.PaletteTriple
      get.

   def public property MiniButton as ComponentFactory.Krypton.Toolkit.PaletteTriple
      get.

   def public property HeaderGroup as ComponentFactory.Krypton.Navigator.PaletteNavigatorHeaderGroup
      get.

   def public property Page as ComponentFactory.Krypton.Toolkit.PaletteBack
      get.

   def public property BorderEdge as ComponentFactory.Krypton.Toolkit.PaletteBorderEdge
      get.

   def public property Separator as ComponentFactory.Krypton.Toolkit.PaletteSeparatorPadding
      get.

   def public property Tab as ComponentFactory.Krypton.Toolkit.PaletteTabTriple
      get.

   def public property RibbonTab as ComponentFactory.Krypton.Navigator.PaletteRibbonTabContent
      get.

   constructor public PaletteNavigator(input redirect as ComponentFactory.Krypton.Navigator.PaletteNavigatorRedirect, input needPaint as ComponentFactory.Krypton.Toolkit.NeedPaintHandler):
   end constructor.

   method public final void SetInherit(input inheritNavigator as ComponentFactory.Krypton.Navigator.PaletteNavigator):
   end method.

end class.
