class ComponentFactory.Krypton.Toolkit.KryptonPanel
   inherits ComponentFactory.Krypton.Toolkit.VisualPanel
   implements System.ComponentModel.IComponent, System.IDisposable, System.Windows.Forms.UnsafeNativeMethods.IOleControl, System.Windows.Forms.UnsafeNativeMethods.IOleObject, System.Windows.Forms.UnsafeNativeMethods.IOleInPlaceObject, System.Windows.Forms.UnsafeNativeMethods.IOleInPlaceActiveObject, System.Windows.Forms.UnsafeNativeMethods.IOleWindow, System.Windows.Forms.UnsafeNativeMethods.IViewObject, System.Windows.Forms.UnsafeNativeMethods.IViewObject2, System.Windows.Forms.UnsafeNativeMethods.IPersist, System.Windows.Forms.UnsafeNativeMethods.IPersistStreamInit, System.Windows.Forms.UnsafeNativeMethods.IPersistPropertyBag, System.Windows.Forms.UnsafeNativeMethods.IPersistStorage, System.Windows.Forms.UnsafeNativeMethods.IQuickActivate, System.Windows.Forms.ISupportOleDropSource, System.Windows.Forms.IDropTarget, System.ComponentModel.ISynchronizeInvoke, System.Windows.Forms.IWin32Window, System.Windows.Forms.Layout.IArrangedElement, System.Windows.Forms.IBindableComponent, System.ComponentModel.ISupportInitializeNotification, System.ComponentModel.ISupportInitialize, ComponentFactory.Krypton.Toolkit.IKryptonDebug:

   def public property PanelBackStyle as ComponentFactory.Krypton.Toolkit.PaletteBackStyle
      get.
      set.

   def public property StateCommon as ComponentFactory.Krypton.Toolkit.PaletteBack
      get.

   def public property StateDisabled as ComponentFactory.Krypton.Toolkit.PaletteBack
      get.

   def public property StateNormal as ComponentFactory.Krypton.Toolkit.PaletteBack
      get.

   def protected property ViewDrawPanel as ComponentFactory.Krypton.Toolkit.ViewDrawPanel
      get.

   constructor public KryptonPanel():
   end constructor.

   constructor public KryptonPanel(input stateCommon as ComponentFactory.Krypton.Toolkit.PaletteDoubleRedirect, input stateDisabled as ComponentFactory.Krypton.Toolkit.PaletteDouble, input stateNormal as ComponentFactory.Krypton.Toolkit.PaletteDouble):
   end constructor.

   method public void SetFixedState(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method protected override void OnEnabledChanged(input e as System.EventArgs):
   end method.

end class.
