class ComponentFactory.Krypton.Toolkit.PaletteBorderInheritRedirect
   inherits ComponentFactory.Krypton.Toolkit.PaletteBorderInherit
   implements ComponentFactory.Krypton.Toolkit.IPaletteBorder:

   def public property OverrideBorderToFalse as logical
      get.
      set.

   def public property Style as ComponentFactory.Krypton.Toolkit.PaletteBorderStyle
      get.
      set.

   constructor public PaletteBorderInheritRedirect(input redirect as ComponentFactory.Krypton.Toolkit.PaletteRedirect):
   end constructor.

   constructor public PaletteBorderInheritRedirect(input redirect as ComponentFactory.Krypton.Toolkit.PaletteRedirect, input style as ComponentFactory.Krypton.Toolkit.PaletteBorderStyle):
   end constructor.

   method public final ComponentFactory.Krypton.Toolkit.PaletteRedirect GetRedirector():
   end method.

   method public final void SetRedirector(input redirect as ComponentFactory.Krypton.Toolkit.PaletteRedirect):
   end method.

   method public override ComponentFactory.Krypton.Toolkit.InheritBool GetBorderDraw(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public override ComponentFactory.Krypton.Toolkit.PaletteDrawBorders GetBorderDrawBorders(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public override ComponentFactory.Krypton.Toolkit.PaletteGraphicsHint GetBorderGraphicsHint(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public override System.Drawing.Color GetBorderColor1(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public override System.Drawing.Color GetBorderColor2(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public override ComponentFactory.Krypton.Toolkit.PaletteColorStyle GetBorderColorStyle(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public override ComponentFactory.Krypton.Toolkit.PaletteRectangleAlign GetBorderColorAlign(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public override decimal GetBorderColorAngle(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public override integer GetBorderWidth(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public override integer GetBorderRounding(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public override System.Drawing.Image GetBorderImage(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public override ComponentFactory.Krypton.Toolkit.PaletteImageStyle GetBorderImageStyle(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public override ComponentFactory.Krypton.Toolkit.PaletteRectangleAlign GetBorderImageAlign(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

end class.
