class ComponentFactory.Krypton.Toolkit.PaletteDouble
   inherits ComponentFactory.Krypton.Toolkit.Storage
   implements ComponentFactory.Krypton.Toolkit.IPaletteDouble:

   def public override property IsDefault as logical
      get.

   def public property Back as ComponentFactory.Krypton.Toolkit.PaletteBack
      get.

   def public property PaletteBack as ComponentFactory.Krypton.Toolkit.IPaletteBack
      get.

   def public property Border as ComponentFactory.Krypton.Toolkit.PaletteBorder
      get.

   def public property PaletteBorder as ComponentFactory.Krypton.Toolkit.IPaletteBorder
      get.

   constructor public PaletteDouble(input inherit as ComponentFactory.Krypton.Toolkit.IPaletteDouble):
   end constructor.

   constructor public PaletteDouble(input inherit as ComponentFactory.Krypton.Toolkit.IPaletteDouble, input needPaint as ComponentFactory.Krypton.Toolkit.NeedPaintHandler):
   end constructor.

   constructor public PaletteDouble(input inherit as ComponentFactory.Krypton.Toolkit.IPaletteDouble, input back as ComponentFactory.Krypton.Toolkit.PaletteBack, input border as ComponentFactory.Krypton.Toolkit.PaletteBorder, input needPaint as ComponentFactory.Krypton.Toolkit.NeedPaintHandler):
   end constructor.

   method public void PopulateFromBase(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final void SetInherit(input inherit as ComponentFactory.Krypton.Toolkit.IPaletteDouble):
   end method.

   method protected final void OnNeedPaint(input sender as System.Object, input needLayout as logical):
   end method.

end class.
