class ComponentFactory.Krypton.Toolkit.ViewComposite
   inherits ComponentFactory.Krypton.Toolkit.ViewBase
   implements System.IDisposable, System.Collections.Generic.IList, System.Collections.Generic.ICollection, System.Collections.Generic.IEnumerable, System.Collections.IEnumerable
   abstract:

   def public property ReverseRenderOrder as logical
      get.
      set.

   def public override property Count as integer
      get.

   def public override property Item as ComponentFactory.Krypton.Toolkit.ViewBase
      get.
      set.

   def public override property FixedState as ComponentFactory.Krypton.Toolkit.PaletteState
      get.
      set.

   constructor protected ViewComposite():
   end constructor.

   method protected final override void Dispose(input disposing as logical):
   end method.

   method public override character ToString():
   end method.

   method public override logical EvalTransparentPaint(input context as ComponentFactory.Krypton.Toolkit.ViewContext):
   end method.

   method public override System.Drawing.Size GetPreferredSize(input context as ComponentFactory.Krypton.Toolkit.ViewLayoutContext):
   end method.

   method public override void Layout(input context as ComponentFactory.Krypton.Toolkit.ViewLayoutContext):
   end method.

   method public override void Render(input context as ComponentFactory.Krypton.Toolkit.RenderContext):
   end method.

   method public override void Add(input item as ComponentFactory.Krypton.Toolkit.ViewBase):
   end method.

   method public override void Clear():
   end method.

   method public override logical Contains(input item as ComponentFactory.Krypton.Toolkit.ViewBase):
   end method.

   method public override logical ContainsRecurse(input item as ComponentFactory.Krypton.Toolkit.ViewBase):
   end method.

   method public override void CopyTo(input array as ComponentFactory.Krypton.Toolkit.ViewBase extent, input arrayIndex as integer):
   end method.

   method public override logical Remove(input item as ComponentFactory.Krypton.Toolkit.ViewBase):
   end method.

   method public override integer IndexOf(input item as ComponentFactory.Krypton.Toolkit.ViewBase):
   end method.

   method public override void Insert(input index as integer, input item as ComponentFactory.Krypton.Toolkit.ViewBase):
   end method.

   method public override void RemoveAt(input index as integer):
   end method.

   method public override System.Collections.Generic.IEnumerator GetEnumerator():
   end method.

   method public override System.Collections.Generic.IEnumerable Recurse():
   end method.

   method public override System.Collections.Generic.IEnumerable Reverse():
   end method.

   method public override System.Collections.Generic.IEnumerable ReverseRecurse():
   end method.

   method public override void ClearFixedState():
   end method.

   method public override ComponentFactory.Krypton.Toolkit.ViewBase ViewFromPoint(input pt as System.Drawing.Point):
   end method.

end class.
