class ComponentFactory.Krypton.Workspace.KryptonWorkspaceCell
   inherits ComponentFactory.Krypton.Navigator.KryptonNavigator
   implements System.ComponentModel.IComponent, System.IDisposable, System.Windows.Forms.UnsafeNativeMethods.IOleControl, System.Windows.Forms.UnsafeNativeMethods.IOleObject, System.Windows.Forms.UnsafeNativeMethods.IOleInPlaceObject, System.Windows.Forms.UnsafeNativeMethods.IOleInPlaceActiveObject, System.Windows.Forms.UnsafeNativeMethods.IOleWindow, System.Windows.Forms.UnsafeNativeMethods.IViewObject, System.Windows.Forms.UnsafeNativeMethods.IViewObject2, System.Windows.Forms.UnsafeNativeMethods.IPersist, System.Windows.Forms.UnsafeNativeMethods.IPersistStreamInit, System.Windows.Forms.UnsafeNativeMethods.IPersistPropertyBag, System.Windows.Forms.UnsafeNativeMethods.IPersistStorage, System.Windows.Forms.UnsafeNativeMethods.IQuickActivate, System.Windows.Forms.ISupportOleDropSource, System.Windows.Forms.IDropTarget, System.ComponentModel.ISynchronizeInvoke, System.Windows.Forms.IWin32Window, System.Windows.Forms.Layout.IArrangedElement, System.Windows.Forms.IBindableComponent, ComponentFactory.Krypton.Toolkit.IKryptonDebug, System.ComponentModel.ISupportInitializeNotification, System.ComponentModel.ISupportInitialize, ComponentFactory.Krypton.Navigator.IDragTargetProvider, ComponentFactory.Krypton.Workspace.IWorkspaceItem:

   def public override property Dock as System.Windows.Forms.DockStyle
      get.
      set.

   def public property Text as character
      get.
      set.

   def public property Location as System.Drawing.Point
      get.
      set.

   def public property Size as System.Drawing.Size
      get.
      set.

   def public property TabIndex as integer
      get.
      set.

   def public property WorkspaceVisible as logical
      get.

   def public property WorkspaceAllowResizing as logical
      get.

   def public property WorkspaceActualSize as System.Drawing.Size
      get.

   def public property WorkspacePreferredSize as System.Drawing.Size
      get.

   def public property WorkspaceStarSize as ComponentFactory.Krypton.Workspace.StarSize
      get.

   def public property WorkspaceMinSize as System.Drawing.Size
      get.

   def public property WorkspaceMaxSize as System.Drawing.Size
      get.

   def public override property MinimumSize as System.Drawing.Size
      get.
      set.

   def public override property MaximumSize as System.Drawing.Size
      get.
      set.

   def public property WorkspaceParent as ComponentFactory.Krypton.Workspace.IWorkspaceItem
      get.

   def public property AllowResizing as logical
      get.
      set.

   def public property StarSize as character
      get.
      set.

   def public property DisposeOnRemove as logical
      get.
      set.

   def public property UniqueName as character
      get.
      set.

   def public property MaximizeRestoreButton as ComponentFactory.Krypton.Navigator.ButtonSpecNavigator
      get.

   def public property LastVisibleSet as logical
      get.
      set.

   def protected override property LayoutOnInitialized as logical
      get.

   def protected property CellChildPanel as ComponentFactory.Krypton.Toolkit.KryptonGroupPanel
      get.

   def public event PropertyChanged signature void (input sender as System.Object, input e as System.ComponentModel.PropertyChangedEventArgs).

   def public event MaximizeRestoreClicked signature void (input sender as System.Object, input e as System.EventArgs).

   constructor public KryptonWorkspaceCell():
   end constructor.

   constructor public KryptonWorkspaceCell(input starSize as character):
   end constructor.

   method protected final override void Dispose(input disposing as logical):
   end method.

   method public final void Compact(input flags as ComponentFactory.Krypton.Workspace.CompactFlags):
   end method.

   method public final void SaveToXml(input workspace as ComponentFactory.Krypton.Workspace.KryptonWorkspace, input xmlWriter as System.Xml.XmlWriter):
   end method.

   method public final void LoadFromXml(input workspace as ComponentFactory.Krypton.Workspace.KryptonWorkspace, input xmlReader as System.Xml.XmlReader, input existingPages as ComponentFactory.Krypton.Navigator.UniqueNameToPage):
   end method.

   method public final void DebugOutput(input indent as integer):
   end method.

   method protected override void SetVisibleCore(input value as logical):
   end method.

   method protected final logical CellDesignerGetHitTest(input pt as System.Drawing.Point):
   end method.

   method protected final System.ComponentModel.Component CellDesignerComponentFromPoint(input pt as System.Drawing.Point):
   end method.

   method protected final void CellDesignerMouseLeave():
   end method.

   method protected void OnPropertyChanged(input property as character):
   end method.

   method protected void OnPropertyChanged(input e as System.ComponentModel.PropertyChangedEventArgs):
   end method.

end class.
