class DataPAClientConfig.LicenseInfo
   inherits System.Object
   implements DataPAClientConfig.LicenseInfo._LicenseInfo:

   def public static variable ClassId as character.

   def public static variable InterfaceId as character.

   def public static variable EventsId as character.

   def public property Parent as DataPAClientConfig.ClientConfig
      get.
      set.

   def public property User as character
      get.

   def public property Organisation as character
      get.

   def public property Type as character
      get.

   def public property SerialNumber as character
      get.

   def public property Quantity as integer
      get.

   def public property SupressEvaluationWarning as logical
      get.
      set.

   def public property ExpiryDate as datetime
      get.

   def public property Clone as DataPAClientConfig.LicenseInfo
      get.

   def public event LicenseChanged signature void (input sender as System.Object, input e as System.EventArgs).

   constructor public LicenseInfo(input Parent as DataPAClientConfig.ClientConfig, input SerialNumber as character, input RegistrationCode as character, input User as character, input Organisation as character):
   end constructor.

   constructor public LicenseInfo(input SerialNumber as character, input RegistrationCode as character, input User as character, input Organisation as character):
   end constructor.

   constructor public LicenseInfo(input Parent as DataPAClientConfig.ClientConfig):
   end constructor.

   constructor public LicenseInfo():
   end constructor.

   method public final void Dispose():
   end method.

   method public final logical ApplyLicense(input SerialNumber as character, input RegistrationCode as character, input User as character, input Organisation as character):
   end method.

   method public final void LoadLocalLicense():
   end method.

   method public final void PersistCurrentLicenseOnClient(input SchedulerOnlyLicense as logical):
   end method.

end class.
