class DataPAEnterpriseDashboard.DashboardObject
   inherits System.Object
   implements DataPAEnterpriseDashboard.DashboardObject._DashboardObject, DataPASerialization.ISerializable:

   def public static variable ClassId as character.

   def public static variable InterfaceId as character.

   def public static variable EventsId as character.

   def public property DataGridUseBespokeFont as logical
      get.
      set.

   def public property DataGridFont as System.Drawing.Font
      get.
      set.

   def public property DataGridTextColor as System.Drawing.Color
      get.
      set.

   def public property ProcessingObjectData as logical
      get.

   def public property TreeViewNodesCheckedByDefault as logical
      get.
      set.

   def public property ShowPivotTotals as logical
      get.
      set.

   def public property DataGridDefaultColumnFit as DataPAEnterpriseDashboard.DashboardObject.DataGridDefaultColumnFitType
      get.
      set.

   def public property ShowCheckBoxes as logical
      get.
      set.

   def public property ShowCheckAllUnCheckAll as logical
      get.
      set.

   def public property MaxXAxisLabelLength as integer
      get.
      set.

   def public property LimitXAxisLabelLength as logical
      get.
      set.

   def public property TrimLeadingXAxisCharacters as logical
      get.
      set.

   def public property ProcessButtonLabel as character
      get.
      set.

   def public property ProcessButtonLocation as DataPAEnterpriseDashboard.DrillDown.ProcessButtonLocationType
      get.
      set.

   def public property PauseXMLEvents as logical
      get.
      set.

   def public property DataGridLayout as character
      get.
      set.

   def public property ColumnAlignmentCollection as Microsoft.VisualBasic.Collection
      get.
      set.

   def public property PrimaryYAxis as DataPAEnterpriseDashboard.YAxis
      get.
      set.

   def public property SecondaryYAxis as DataPAEnterpriseDashboard.YAxis
      get.
      set.

   def public property verticalPointLabels as logical
      get.
      set.

   def public property Parent as System.Object
      get.
      set.

   def public property DrillDown as DataPAEnterpriseDashboard.DrillDown
      get.
      set.

   def public property DrillDownEnabled as logical
      get.

   def public property AllowDataGridDefaultColumnFit as System.Object
      get.

   def public property AllowDrillDown as logical
      get.

   def public property IsDrillDownObject as logical
      get.

   def public property AllowAppearance as logical
      get.

   def public property AllowTitles as logical
      get.

   def public property AllowSubTitles as logical
      get.

   def public property AllowPointLabels as logical
      get.

   def public property AllowForEach as logical
      get.

   def public property AllowNoZeroPlot as logical
      get.

   def public property AllowAdvancedXML as logical
      get.

   def public property AllowFont as logical
      get.

   def public property AllowScalingUnits as logical
      get.

   def public property FilterDependantObjects as Microsoft.VisualBasic.Collection
      get.

   def public property HideZeroValueGroups as logical
      get.
      set.

   def public property NoZeroPlot as logical
      get.
      set.

   def public property NoLeadingZeroPlot as logical
      get.
      set.

   def public property AllowXAxis as logical
      get.

   def public property AllowYAxis as logical
      get.

   def public property AllowSpecifyLegend as logical
      get.

   def public property HideLabelsIfLegendShown as logical
      get.

   def public property AllowGlassEffect as logical
      get.

   def public property PanelObject as logical
      get.

   def public property FlashVars as character
      get.

   def public property Thread as System.Threading.Thread
      get.
      set.

   def public property RebuildRequired as logical
      get.
      set.

   def public property LastUsedFilter as character
      get.

   def public property BuildingObject as logical
      get.
      set.

   def public property ObjectType as DataPAEnterpriseDashboard.DashboardObject.DashboardObjectType
      get.
      set.

   def public property SwfFile as character
      get.

   def public property ChartWidth as integer
      get.

   def public property ChartHeight as integer
      get.

   def public property DivHeight as integer
      get.

   def public property Height as integer
      get.
      set.

   def public property Width as integer
      get.
      set.

   def public property ID as character
      get.

   def public property GUID as System.Guid
      get.

   def public property HTML as character
      get.

   def public property XML as character
      get.
      set.

   def public property UpdatingFilterObjects as Microsoft.VisualBasic.Collection
      get.

   def public property InLineXML as logical
      get.

   def public property SWFURL as character
      get.

   def public property SummaryData as DataPAEnterpriseDashboard.SummaryData
      get.
      set.

   def public property XmlDefinitionType as DataPAEnterpriseDashboard.DashboardObject.DashboardXmlDefinitionType
      get.

   def public property AllowMultipleGroupColumns as logical
      get.

   def public property AllowMultipleSummaryColumns as logical
      get.

   def public property AllowColour as logical
      get.

   def public property AllowLineOrAreaColour as logical
      get.

   def public property Caption as character
      get.
      set.

   def public property OverrideDefaultColourScheme as logical
      get.
      set.

   def public property LineOrAreaColour as System.Drawing.Color
      get.
      set.

   def public property DataGridDisplayStyle as DataPAEnterpriseDashboard.DashboardObject.DataGridDisplayStyleType
      get.
      set.

   def public property SubCaption as character
      get.
      set.

   def public property SourceDataTable as System.Data.DataTable
      get.

   def public property ComSourceDataTable as ADODB.Recordset
      get.

   def public property Dashboard as DataPAEnterpriseDashboard.ManagedDashboard
      get.

   def public property Tab as DataPAEnterpriseDashboard.DashboardTab
      get.

   def public property xAxisName as character
      get.
      set.

   def public property SwitchAxisLabels as logical
      get.

   def public property showPointLabels as logical
      get.
      set.

   def public property showLegend as logical
      get.
      set.

   def public property showGlassEffect as logical
      get.
      set.

   def public property showPointLabelsInside as logical
      get.
      set.

   def public property showBorder as logical
      get.
      set.

   def public property DashboardLabelOrientation as DataPAEnterpriseDashboard.DashboardObject.DashboardLabelOrientationType
      get.
      set.

   def public property SuplimentaryXML as character
      get.
      set.

   def public property SupplimentaryAttributes as character
      get.
      set.

   def public property MenuTitle as character
      get.

   def public property DualYAxis as logical
      get.

   def public property AvailableSummaryColumnDisplayTypes as DataPAEnterpriseDashboard.SummaryColumn.SummaryDataDisplayType extent
      get.

   def public property ForceSummaryColumnDisplayType as logical
      get.

   def public property Clone as DataPAEnterpriseDashboard.DashboardObject
      get.

   def public property Selected as logical
      get.
      set.

   def public property XmlUrl as character
      get.

   def public property LoadScript as character
      get.

   def public property ControlPanelObjects as DataPAEnterpriseDashboard.ControlPanelObjects
      get.
      set.

   def public property ControlPanelBackgroundColour as System.Drawing.Color
      get.
      set.

   def public property ColumnFormat as character
      get.

   def public property NoDataMessage as character
      get.

   def public property ColumnHeading as character
      get.

   def public property NumericColumn as logical
      get.

   def public property DescendantDashboardObject as DataPAEnterpriseDashboard.DashboardObject
      get.

   def public property FilterClearedDependantObjects as Microsoft.VisualBasic.Collection
      get.
      set.

   def public property DashboardQuery as DataPAEnterpriseDashboard.DashboardQuery
      get.

   def public event xmlGenerateComplete signature void (input sender as System.Object, input e as System.EventArgs).

   def public event GridDataGenerateComplete signature void (input sender as System.Object, input e as System.EventArgs).

   def public event TreeViewDataGenerateComplete signature void (input sender as System.Object, input e as System.EventArgs).

   def public event DataGridLayoutUpdateRequest signature void (input sender as System.Object, input e as System.EventArgs).

   constructor public DashboardObject():
   end constructor.

   constructor public DashboardObject(input Parent as DataPAEnterpriseDashboard.DashboardObjects):
   end constructor.

   constructor public DashboardObject(input Parent as DataPAEnterpriseDashboard.DrillDown):
   end constructor.

   constructor public DashboardObject(input Parent as DataPAEnterpriseDashboard.DashboardObjects, input ObjectType as DataPAEnterpriseDashboard.DashboardObject.DashboardObjectType):
   end constructor.

   constructor public DashboardObject(input Parent as DataPAEnterpriseDashboard.DrillDown, input ObjectType as DataPAEnterpriseDashboard.DashboardObject.DashboardObjectType):
   end constructor.

   constructor public DashboardObject(input Parent as DataPAEnterpriseDashboard.DashboardObjects, input ObjectType as DataPAEnterpriseDashboard.DashboardObject.DashboardObjectType, input DataTag as character):
   end constructor.

   constructor public DashboardObject(input Parent as DataPAEnterpriseDashboard.DrillDown, input ObjectType as DataPAEnterpriseDashboard.DashboardObject.DashboardObjectType, input DataTag as character):
   end constructor.

   method public void GetObjectData(input info as DataPASerialization.SerializationInfo):
   end method.

   method protected final void SetObjectData(input info as DataPASerialization.SerializationInfo):
   end method.

   method public final void RefreshXML(input Background as logical):
   end method.

   method public final void BuildGridData(input Background as logical):
   end method.

   method public final void BuildTreeViewData(input Background as logical):
   end method.

   method public final void ReBuildSummaryData():
   end method.

   method public final character getFilterCondition(input Column as System.Data.DataColumn, input Value as System.Object, input DateGroupType as DataPAEnterpriseDashboard.SummaryData.SummaryDataDateGroupType, input ColumnIsDateTime as logical):
   end method.

   method public final character getFilterConditionFromNameType(input ColumnName as character, input Type as System.Type, input Value as System.Object, input DateGroupType as DataPAEnterpriseDashboard.SummaryData.SummaryDataDateGroupType, input ColumnIsDateTime as logical):
   end method.

   method public final System.Object GetChartResizeScript():
   end method.

   method protected final override void Finalize():
   end method.

   method public final void KillThread():
   end method.

   method public final System.Object BuildParamString(input inString as character, input inFilterString as character):
   end method.

   method public final void CopyToClipboard():
   end method.

end class.
