class DataPAEnterpriseDashboard.SummaryColumn
   inherits System.Object
   implements DataPAEnterpriseDashboard.SummaryColumn._SummaryColumn, DataPASerialization.ISerializable:

   def public static variable ClassId as character.

   def public static variable InterfaceId as character.

   def public static variable EventsId as character.

   def public property DisplayType as DataPAEnterpriseDashboard.SummaryColumn.SummaryDataDisplayType
      get.
      set.

   def public property UseSecondaryYAxis as logical
      get.
      set.

   def public property Format as character
      get.
      set.

   def public property Label as character
      get.
      set.

   def public property HyperLink as character
      get.
      set.

   def public property DataGridFormatColumn as character
      get.
      set.

   def public property DataGridFormatType as DataPAEnterpriseDashboard.SummaryColumn.DataGridSummaryColumnFormatType
      get.
      set.

   def public property ID as character
      get.

   def public property GUID as System.Guid
      get.

   def public property SummariseBeforeCalculation as logical
      get.
      set.

   def public property Parent as DataPAEnterpriseDashboard.SummaryColumns
      get.
      set.

   def public property ColumnName as character
      get.
      set.

   def public property SummaryType as DataPAEnterpriseDashboard.SummaryColumn.SummaryDataSummaryType
      get.
      set.

   def public property NumericColumn as logical
      get.

   def public property NumericSourceColumn as logical
      get.

   def public property ShowAsPercentageOfTotal as logical
      get.
      set.

   def public property numberDecimals as integer
      get.
      set.

   def public property numericPrefix as character
      get.
      set.

   def public property numericSuffix as character
      get.
      set.

   def public property forceTrailingZeros as logical
      get.
      set.

   def public property NumericGuiFormat as character
      get.

   def public property SuppressThousandSeparator as logical
      get.
      set.

   def public property DataGridUseBespokeFont as logical
      get.
      set.

   def public property DataGridFont as System.Drawing.Font
      get.
      set.

   def public property DataGridTextColor as System.Drawing.Color
      get.
      set.

   def public property Editable as logical
      get.
      set.

   def public property Hidden as logical
      get.
      set.

   constructor public SummaryColumn():
   end constructor.

   constructor public SummaryColumn(input Parent as DataPAEnterpriseDashboard.SummaryColumns, input Column as System.Data.DataColumn, input Format as character):
   end constructor.

   method public void GetObjectData(input info as DataPASerialization.SerializationInfo):
   end method.

   method protected final void SetObjectData(input info as DataPASerialization.SerializationInfo):
   end method.

end class.
