interface Infragistics.UltraChart.Core.IAdvanceAxis
   inherits Infragistics.UltraChart.Core.IOperate, System.Collections.IComparer, Infragistics.UltraChart.Core.IScrollScaleWindow, Infragistics.UltraChart.Core.IMapWindow, Infragistics.UltraChart.Core.IMapLog, Infragistics.UltraChart.Core.IRangeType:

   def public property RulerType as Infragistics.UltraChart.Shared.Styles.NumericAxisType
      get.
      set.

   def public property Zero as System.Object
      get.

   def public property Scroll as decimal
      get.
      set.

   def public property Scale as decimal
      get.
      set.

   def public property Minimum as System.Object
      get.
      set.

   def public property Maximum as System.Object
      get.
      set.

   def public property TotalRange as System.Object
      get.

   def public property WindowMinimum as System.Object
      get.
      set.

   def public property WindowMaximum as System.Object
      get.
      set.

   def public property WindowRange as System.Object
      get.

   def public property MapMinimum as decimal
      get.
      set.

   def public property MapMaximum as decimal
      get.
      set.

   def public property MapRange as decimal
      get.

   def public property LogBase as decimal
      get.
      set.

   def public property Exponent_min as decimal
      get.

   def public property Exponent_max as decimal
      get.

   def public property Exponent_Range as decimal
      get.

   def public property ExponentWindowMin as decimal
      get.

   def public property ExponentWindowMax as decimal
      get.

   def public property ExponentWindowRange as decimal
      get.

   def public property LogZero as decimal
      get.
      set.

   def public property RangeType as Infragistics.UltraChart.Shared.Styles.AxisRangeType
      get.
      set.

   def public property RangeMin as System.Object
      get.
      set.

   def public property RangeMax as System.Object
      get.
      set.

   def public property RangeRange as System.Object
      get.

   method public System.Object Add(input addendum as System.Object, input addendee as System.Object).

   method public System.Object Subtract(input subtractum as System.Object, input subtractee as System.Object).

   method public System.Object Divide(input dividend as System.Object, input divisor as System.Object).

   method public System.Object Multiply(input multiplicand as System.Object, input multiplier as System.Object).

   method public decimal NumericOf(input d_i as System.Object).

   method public System.Object InverseNumericOf(input d_i as decimal).

   method public System.Object Max(input left as System.Object, input right as System.Object).

   method public System.Object Min(input left as System.Object, input right as System.Object).

   method public System.Object NullValue(input input as System.Object).

   method public integer Compare(input x as System.Object, input y as System.Object).

   method public decimal Map(input d_i as System.Object).

   method public System.Object MapInverse(input m_i as decimal).

   method public logical ItemVisible(input d_i as System.Object).

end interface.
