class Infragistics.UltraChart.Resources.Appearance.BarChartAppearance
   inherits Infragistics.UltraChart.Resources.Appearance.BarChart3DAppearance
   implements Infragistics.UltraChart.Resources.IProvideChartComponent, Infragistics.UltraChart.Resources.Appearance.IGroupSpacing:

   def public property ChartTextValueAlignment as Infragistics.UltraChart.Resources.Appearance.ValueAlignment
      get.
      set.

   def public property SeriesSpacing as integer
      get.
      set.

   def public property NullHandling as Infragistics.UltraChart.Shared.Styles.NullHandling
      get.
      set.

   def public property ChartText as Infragistics.UltraChart.Resources.Appearance.ChartTextCollection
      get.

   constructor public BarChartAppearance():
   end constructor.

   constructor public BarChartAppearance(input component as Infragistics.UltraChart.Resources.IChartComponent):
   end constructor.

   method protected final logical ShouldSerializeSeriesSpacing():
   end method.

   method public final void ResetSeriesSpacing():
   end method.

   method protected final override logical ShouldSerializeNullHandling():
   end method.

   method public final override void ResetNullHandling():
   end method.

   method protected final logical ShouldSerializeChartText():
   end method.

   method public final void ResetChartText():
   end method.

   method public final override logical ShouldSerialize():
   end method.

end class.
