class System.Drawing.Printing.PageSettings
   inherits System.Object
   implements System.ICloneable:

   def public property Bounds as System.Drawing.Rectangle
      get.

   def public property Color as logical
      get.
      set.

   def public property HardMarginX as decimal
      get.

   def public property HardMarginY as decimal
      get.

   def public property Landscape as logical
      get.
      set.

   def public property Margins as System.Drawing.Printing.Margins
      get.
      set.

   def public property PaperSize as System.Drawing.Printing.PaperSize
      get.
      set.

   def public property PaperSource as System.Drawing.Printing.PaperSource
      get.
      set.

   def public property PrintableArea as System.Drawing.RectangleF
      get.

   def public property PrinterResolution as System.Drawing.Printing.PrinterResolution
      get.
      set.

   def public property PrinterSettings as System.Drawing.Printing.PrinterSettings
      get.
      set.

   constructor public PageSettings():
   end constructor.

   constructor public PageSettings(input printerSettings as System.Drawing.Printing.PrinterSettings):
   end constructor.

   method public final override System.Object Clone():
   end method.

   method public final void CopyToHdevmode(input hdevmode as System.IntPtr):
   end method.

   method public final void SetHdevmode(input hdevmode as System.IntPtr):
   end method.

   method public override character ToString():
   end method.

end class.
