class System.Reflection.Assembly
   inherits System.Object
   implements System.Runtime.InteropServices._Assembly, System.Security.IEvidenceFactory, System.Reflection.ICustomAttributeProvider, System.Runtime.Serialization.ISerializable
   abstract:

   def public property CodeBase as character
      get.

   def public property EscapedCodeBase as character
      get.

   def public property FullName as character
      get.

   def public property EntryPoint as System.Reflection.MethodInfo
      get.

   def public property ExportedTypes as System.Collections.Generic.IEnumerable
      get.

   def public property DefinedTypes as System.Collections.Generic.IEnumerable
      get.

   def public property Evidence as System.Security.Policy.Evidence
      get.

   def public property PermissionSet as System.Security.PermissionSet
      get.

   def public property IsFullyTrusted as logical
      get.

   def public property SecurityRuleSet as System.Security.SecurityRuleSet
      get.

   def public property ManifestModule as System.Reflection.Module
      get.

   def public property CustomAttributes as System.Collections.Generic.IEnumerable
      get.

   def public property ReflectionOnly as logical
      get.

   def public property Modules as System.Collections.Generic.IEnumerable
      get.

   def public property Location as character
      get.

   def public property ImageRuntimeVersion as character
      get.

   def public property GlobalAssemblyCache as logical
      get.

   def public property HostContext as int64
      get.

   def public property IsDynamic as logical
      get.

   def public event ModuleResolve signature void (input sender as System.Object, input e as System.ResolveEventArgs).

   constructor protected Assembly():
   end constructor.

   method public final static character CreateQualifiedName(input assemblyName as character, input typeName as character):
   end method.

   method public final static System.Reflection.Assembly GetAssembly(input type as System.Type):
   end method.

   method public override logical Equals(input o as System.Object):
   end method.

   method public final override integer GetHashCode():
   end method.

   method public final static System.Reflection.Assembly LoadFrom(input assemblyFile as character):
   end method.

   method public final static System.Reflection.Assembly ReflectionOnlyLoadFrom(input assemblyFile as character):
   end method.

   method public final static System.Reflection.Assembly LoadFrom(input assemblyFile as character, input securityEvidence as System.Security.Policy.Evidence):
   end method.

   method public final static System.Reflection.Assembly LoadFrom(input assemblyFile as character, input securityEvidence as System.Security.Policy.Evidence, input hashValue as System.Byte extent, input hashAlgorithm as System.Configuration.Assemblies.AssemblyHashAlgorithm):
   end method.

   method public final static System.Reflection.Assembly LoadFrom(input assemblyFile as character, input hashValue as System.Byte extent, input hashAlgorithm as System.Configuration.Assemblies.AssemblyHashAlgorithm):
   end method.

   method public final static System.Reflection.Assembly UnsafeLoadFrom(input assemblyFile as character):
   end method.

   method public final static System.Reflection.Assembly Load(input assemblyString as character):
   end method.

   method public final static System.Reflection.Assembly ReflectionOnlyLoad(input assemblyString as character):
   end method.

   method public final static System.Reflection.Assembly Load(input assemblyString as character, input assemblySecurity as System.Security.Policy.Evidence):
   end method.

   method public final static System.Reflection.Assembly Load(input assemblyRef as System.Reflection.AssemblyName):
   end method.

   method public final static System.Reflection.Assembly Load(input assemblyRef as System.Reflection.AssemblyName, input assemblySecurity as System.Security.Policy.Evidence):
   end method.

   method public final static System.Reflection.Assembly LoadWithPartialName(input partialName as character):
   end method.

   method public final static System.Reflection.Assembly LoadWithPartialName(input partialName as character, input securityEvidence as System.Security.Policy.Evidence):
   end method.

   method public final static System.Reflection.Assembly Load(input rawAssembly as System.Byte extent):
   end method.

   method public final static System.Reflection.Assembly ReflectionOnlyLoad(input rawAssembly as System.Byte extent):
   end method.

   method public final static System.Reflection.Assembly Load(input rawAssembly as System.Byte extent, input rawSymbolStore as System.Byte extent):
   end method.

   method public final static System.Reflection.Assembly Load(input rawAssembly as System.Byte extent, input rawSymbolStore as System.Byte extent, input securityContextSource as System.Security.SecurityContextSource):
   end method.

   method public final static System.Reflection.Assembly Load(input rawAssembly as System.Byte extent, input rawSymbolStore as System.Byte extent, input securityEvidence as System.Security.Policy.Evidence):
   end method.

   method public final static System.Reflection.Assembly LoadFile(input path as character):
   end method.

   method public final static System.Reflection.Assembly LoadFile(input path as character, input securityEvidence as System.Security.Policy.Evidence):
   end method.

   method public final static System.Reflection.Assembly GetExecutingAssembly():
   end method.

   method public final static System.Reflection.Assembly GetCallingAssembly():
   end method.

   method public final static System.Reflection.Assembly GetEntryAssembly():
   end method.

   method public System.Reflection.AssemblyName GetName():
   end method.

   method public System.Reflection.AssemblyName GetName(input copiedName as logical):
   end method.

   method public System.Type GetType(input name as character):
   end method.

   method public System.Type GetType(input name as character, input throwOnError as logical):
   end method.

   method public System.Type GetType(input name as character, input throwOnError as logical, input ignoreCase as logical):
   end method.

   method public System.Type extent GetExportedTypes():
   end method.

   method public System.Type extent GetTypes():
   end method.

   method public System.IO.Stream GetManifestResourceStream(input type as System.Type, input name as character):
   end method.

   method public System.IO.Stream GetManifestResourceStream(input name as character):
   end method.

   method public System.Reflection.Assembly GetSatelliteAssembly(input culture as System.Globalization.CultureInfo):
   end method.

   method public System.Reflection.Assembly GetSatelliteAssembly(input culture as System.Globalization.CultureInfo, input version as System.Version):
   end method.

   method public void GetObjectData(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end method.

   method public System.Object extent GetCustomAttributes(input inherit as logical):
   end method.

   method public System.Object extent GetCustomAttributes(input attributeType as System.Type, input inherit as logical):
   end method.

   method public logical IsDefined(input attributeType as System.Type, input inherit as logical):
   end method.

   method public System.Collections.Generic.IList GetCustomAttributesData():
   end method.

   method public final System.Reflection.Module LoadModule(input moduleName as character, input rawModule as System.Byte extent):
   end method.

   method public System.Reflection.Module LoadModule(input moduleName as character, input rawModule as System.Byte extent, input rawSymbolStore as System.Byte extent):
   end method.

   method public final System.Object CreateInstance(input typeName as character):
   end method.

   method public final System.Object CreateInstance(input typeName as character, input ignoreCase as logical):
   end method.

   method public System.Object CreateInstance(input typeName as character, input ignoreCase as logical, input bindingAttr as System.Reflection.BindingFlags, input binder as System.Reflection.Binder, input args as System.Object extent, input culture as System.Globalization.CultureInfo, input activationAttributes as System.Object extent):
   end method.

   method public final System.Reflection.Module extent GetLoadedModules():
   end method.

   method public System.Reflection.Module extent GetLoadedModules(input getResourceModules as logical):
   end method.

   method public final System.Reflection.Module extent GetModules():
   end method.

   method public System.Reflection.Module extent GetModules(input getResourceModules as logical):
   end method.

   method public System.Reflection.Module GetModule(input name as character):
   end method.

   method public System.IO.FileStream GetFile(input name as character):
   end method.

   method public System.IO.FileStream extent GetFiles():
   end method.

   method public System.IO.FileStream extent GetFiles(input getResourceModules as logical):
   end method.

   method public System.String extent GetManifestResourceNames():
   end method.

   method public System.Reflection.AssemblyName extent GetReferencedAssemblies():
   end method.

   method public System.Reflection.ManifestResourceInfo GetManifestResourceInfo(input resourceName as character):
   end method.

   method public override character ToString():
   end method.

end class.
