class System.Reflection.ParameterInfo
   inherits System.Object
   implements System.Runtime.InteropServices._ParameterInfo, System.Reflection.ICustomAttributeProvider, System.Runtime.Serialization.IObjectReference:

   def protected variable NameImpl as character.

   def protected variable ClassImpl as System.Type.

   def protected variable PositionImpl as integer.

   def protected variable AttrsImpl as System.Reflection.ParameterAttributes.

   def protected variable DefaultValueImpl as System.Object.

   def protected variable MemberImpl as System.Reflection.MemberInfo.

   def public property ParameterType as System.Type
      get.

   def public property Name as character
      get.

   def public property HasDefaultValue as logical
      get.

   def public property DefaultValue as System.Object
      get.

   def public property RawDefaultValue as System.Object
      get.

   def public property Position as integer
      get.

   def public property Attributes as System.Reflection.ParameterAttributes
      get.

   def public property Member as System.Reflection.MemberInfo
      get.

   def public property IsIn as logical
      get.

   def public property IsOut as logical
      get.

   def public property IsLcid as logical
      get.

   def public property IsRetval as logical
      get.

   def public property IsOptional as logical
      get.

   def public property MetadataToken as integer
      get.

   def public property CustomAttributes as System.Collections.Generic.IEnumerable
      get.

   constructor protected ParameterInfo():
   end constructor.

   method public System.Type extent GetRequiredCustomModifiers():
   end method.

   method public System.Type extent GetOptionalCustomModifiers():
   end method.

   method public override character ToString():
   end method.

   method public System.Object extent GetCustomAttributes(input inherit as logical):
   end method.

   method public System.Object extent GetCustomAttributes(input attributeType as System.Type, input inherit as logical):
   end method.

   method public logical IsDefined(input attributeType as System.Type, input inherit as logical):
   end method.

   method public System.Collections.Generic.IList GetCustomAttributesData():
   end method.

   method public final System.Object GetRealObject(input context as System.Runtime.Serialization.StreamingContext):
   end method.

end class.
