class System.Security.Cryptography.X509Certificates.X509Certificate
   inherits System.Object
   implements System.IDisposable, System.Runtime.Serialization.IDeserializationCallback, System.Runtime.Serialization.ISerializable:

   def public property Handle as System.IntPtr
      get.

   def public property Issuer as character
      get.

   def public property Subject as character
      get.

   constructor public X509Certificate():
   end constructor.

   constructor public X509Certificate(input data as System.Byte extent):
   end constructor.

   constructor public X509Certificate(input rawData as System.Byte extent, input password as character):
   end constructor.

   constructor public X509Certificate(input rawData as System.Byte extent, input password as System.Security.SecureString):
   end constructor.

   constructor public X509Certificate(input rawData as System.Byte extent, input password as character, input keyStorageFlags as System.Security.Cryptography.X509Certificates.X509KeyStorageFlags):
   end constructor.

   constructor public X509Certificate(input rawData as System.Byte extent, input password as System.Security.SecureString, input keyStorageFlags as System.Security.Cryptography.X509Certificates.X509KeyStorageFlags):
   end constructor.

   constructor public X509Certificate(input fileName as character):
   end constructor.

   constructor public X509Certificate(input fileName as character, input password as character):
   end constructor.

   constructor public X509Certificate(input fileName as character, input password as System.Security.SecureString):
   end constructor.

   constructor public X509Certificate(input fileName as character, input password as character, input keyStorageFlags as System.Security.Cryptography.X509Certificates.X509KeyStorageFlags):
   end constructor.

   constructor public X509Certificate(input fileName as character, input password as System.Security.SecureString, input keyStorageFlags as System.Security.Cryptography.X509Certificates.X509KeyStorageFlags):
   end constructor.

   constructor public X509Certificate(input handle as System.IntPtr):
   end constructor.

   constructor public X509Certificate(input cert as System.Security.Cryptography.X509Certificates.X509Certificate):
   end constructor.

   constructor public X509Certificate(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end constructor.

   method public final static System.Security.Cryptography.X509Certificates.X509Certificate CreateFromCertFile(input filename as character):
   end method.

   method public final static System.Security.Cryptography.X509Certificates.X509Certificate CreateFromSignedFile(input filename as character):
   end method.

   method public character GetName():
   end method.

   method public character GetIssuerName():
   end method.

   method public System.Byte extent GetSerialNumber():
   end method.

   method public character GetSerialNumberString():
   end method.

   method public System.Byte extent GetKeyAlgorithmParameters():
   end method.

   method public character GetKeyAlgorithmParametersString():
   end method.

   method public character GetKeyAlgorithm():
   end method.

   method public System.Byte extent GetPublicKey():
   end method.

   method public character GetPublicKeyString():
   end method.

   method public System.Byte extent GetRawCertData():
   end method.

   method public character GetRawCertDataString():
   end method.

   method public System.Byte extent GetCertHash():
   end method.

   method public character GetCertHashString():
   end method.

   method public character GetEffectiveDateString():
   end method.

   method public character GetExpirationDateString():
   end method.

   method public override logical Equals(input obj as System.Object):
   end method.

   method public logical Equals(input other as System.Security.Cryptography.X509Certificates.X509Certificate):
   end method.

   method public final override integer GetHashCode():
   end method.

   method public override character ToString():
   end method.

   method public character ToString(input fVerbose as logical):
   end method.

   method protected final static character FormatDate(input date as datetime):
   end method.

   method public character GetFormat():
   end method.

   method public void Import(input rawData as System.Byte extent):
   end method.

   method public void Import(input rawData as System.Byte extent, input password as character, input keyStorageFlags as System.Security.Cryptography.X509Certificates.X509KeyStorageFlags):
   end method.

   method public void Import(input rawData as System.Byte extent, input password as System.Security.SecureString, input keyStorageFlags as System.Security.Cryptography.X509Certificates.X509KeyStorageFlags):
   end method.

   method public void Import(input fileName as character):
   end method.

   method public void Import(input fileName as character, input password as character, input keyStorageFlags as System.Security.Cryptography.X509Certificates.X509KeyStorageFlags):
   end method.

   method public void Import(input fileName as character, input password as System.Security.SecureString, input keyStorageFlags as System.Security.Cryptography.X509Certificates.X509KeyStorageFlags):
   end method.

   method public System.Byte extent Export(input contentType as System.Security.Cryptography.X509Certificates.X509ContentType):
   end method.

   method public System.Byte extent Export(input contentType as System.Security.Cryptography.X509Certificates.X509ContentType, input password as character):
   end method.

   method public System.Byte extent Export(input contentType as System.Security.Cryptography.X509Certificates.X509ContentType, input password as System.Security.SecureString):
   end method.

   method public void Reset():
   end method.

   method public final void Dispose():
   end method.

   method protected final void Dispose(input disposing as logical):
   end method.

end class.
