class System.Security.Principal.WindowsIdentity
   inherits System.Security.Claims.ClaimsIdentity
   implements System.Security.Principal.IIdentity, System.Runtime.Serialization.ISerializable, System.Runtime.Serialization.IDeserializationCallback, System.IDisposable:

   def public static variable DefaultIssuer as character.

   def public override property AuthenticationType as character
      get.

   def public property ImpersonationLevel as System.Security.Principal.TokenImpersonationLevel
      get.

   def public override property IsAuthenticated as logical
      get.

   def public property IsGuest as logical
      get.

   def public property IsSystem as logical
      get.

   def public property IsAnonymous as logical
      get.

   def public override property Name as character
      get.

   def public property Owner as System.Security.Principal.SecurityIdentifier
      get.

   def public property User as System.Security.Principal.SecurityIdentifier
      get.

   def public property Groups as System.Security.Principal.IdentityReferenceCollection
      get.

   def public property Token as System.IntPtr
      get.

   def public property AccessToken as Microsoft.Win32.SafeHandles.SafeAccessTokenHandle
      get.

   def public property UserClaims as System.Collections.Generic.IEnumerable
      get.

   def public property DeviceClaims as System.Collections.Generic.IEnumerable
      get.

   def public override property Claims as System.Collections.Generic.IEnumerable
      get.

   constructor public WindowsIdentity(input userToken as System.IntPtr):
   end constructor.

   constructor public WindowsIdentity(input userToken as System.IntPtr, input type as character):
   end constructor.

   constructor public WindowsIdentity(input userToken as System.IntPtr, input type as character, input acctType as System.Security.Principal.WindowsAccountType):
   end constructor.

   constructor public WindowsIdentity(input userToken as System.IntPtr, input type as character, input acctType as System.Security.Principal.WindowsAccountType, input isAuthenticated as logical):
   end constructor.

   constructor public WindowsIdentity(input sUserPrincipalName as character):
   end constructor.

   constructor public WindowsIdentity(input sUserPrincipalName as character, input type as character):
   end constructor.

   constructor public WindowsIdentity(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end constructor.

   constructor protected WindowsIdentity(input identity as System.Security.Principal.WindowsIdentity):
   end constructor.

   method public final static System.Security.Principal.WindowsIdentity GetCurrent():
   end method.

   method public final static System.Security.Principal.WindowsIdentity GetCurrent(input ifImpersonating as logical):
   end method.

   method public final static System.Security.Principal.WindowsIdentity GetCurrent(input desiredAccess as System.Security.Principal.TokenAccessLevels):
   end method.

   method public final static System.Security.Principal.WindowsIdentity GetAnonymous():
   end method.

   method public final static void RunImpersonated(input safeAccessTokenHandle as Microsoft.Win32.SafeHandles.SafeAccessTokenHandle, input action as System.Action):
   end method.

   method public System.Security.Principal.WindowsImpersonationContext Impersonate():
   end method.

   method public final static System.Security.Principal.WindowsImpersonationContext Impersonate(input userToken as System.IntPtr):
   end method.

   method protected final void Dispose(input disposing as logical):
   end method.

   method public final void Dispose():
   end method.

   method public override System.Security.Claims.ClaimsIdentity Clone():
   end method.

end class.
