interface System.ServiceModel.ICommunicationObject:

   def public property State as System.ServiceModel.CommunicationState
      get.

   def public event Closed signature void (input sender as System.Object, input e as System.EventArgs).

   def public event Closing signature void (input sender as System.Object, input e as System.EventArgs).

   def public event Faulted signature void (input sender as System.Object, input e as System.EventArgs).

   def public event Opened signature void (input sender as System.Object, input e as System.EventArgs).

   def public event Opening signature void (input sender as System.Object, input e as System.EventArgs).

   method public void Abort().

   method public void Close().

   method public void Close(input timeout as System.TimeSpan).

   method public System.IAsyncResult BeginClose(input callback as System.AsyncCallback, input state as System.Object).

   method public System.IAsyncResult BeginClose(input timeout as System.TimeSpan, input callback as System.AsyncCallback, input state as System.Object).

   method public void EndClose(input result as System.IAsyncResult).

   method public void Open().

   method public void Open(input timeout as System.TimeSpan).

   method public System.IAsyncResult BeginOpen(input callback as System.AsyncCallback, input state as System.Object).

   method public System.IAsyncResult BeginOpen(input timeout as System.TimeSpan, input callback as System.AsyncCallback, input state as System.Object).

   method public void EndOpen(input result as System.IAsyncResult).

end interface.
