class System.ServiceModel.ServiceSecurityContext
   inherits System.Object:

   def public static property Anonymous as System.ServiceModel.ServiceSecurityContext
      get.

   def public static property Current as System.ServiceModel.ServiceSecurityContext
      get.

   def public property IsAnonymous as logical
      get.

   def public property PrimaryIdentity as System.Security.Principal.IIdentity
      get.

   def public property WindowsIdentity as System.Security.Principal.WindowsIdentity
      get.

   def public property AuthorizationPolicies as System.Collections.ObjectModel.ReadOnlyCollection
      get.
      set.

   def public property AuthorizationContext as System.IdentityModel.Policy.AuthorizationContext
      get.

   constructor public ServiceSecurityContext(input authorizationPolicies as System.Collections.ObjectModel.ReadOnlyCollection):
   end constructor.

   constructor public ServiceSecurityContext(input authorizationContext as System.IdentityModel.Policy.AuthorizationContext):
   end constructor.

   constructor public ServiceSecurityContext(input authorizationContext as System.IdentityModel.Policy.AuthorizationContext, input authorizationPolicies as System.Collections.ObjectModel.ReadOnlyCollection):
   end constructor.

end class.
