class System.Windows.Forms.AccessibleObject
   inherits System.Runtime.InteropServices.StandardOleMarshalObject
   implements Microsoft.Win32.UnsafeNativeMethods.IMarshal, System.Reflection.IReflect, Accessibility.IAccessible, System.Windows.Forms.UnsafeNativeMethods.IAccessibleEx, System.Windows.Forms.UnsafeNativeMethods.IServiceProvider, System.Windows.Forms.UnsafeNativeMethods.IRawElementProviderSimple, System.Windows.Forms.UnsafeNativeMethods.IValueProvider, System.Windows.Forms.UnsafeNativeMethods.IExpandCollapseProvider, System.Windows.Forms.UnsafeNativeMethods.IToggleProvider, System.Windows.Forms.UnsafeNativeMethods.ITableProvider, System.Windows.Forms.UnsafeNativeMethods.ITableItemProvider, System.Windows.Forms.UnsafeNativeMethods.IGridProvider, System.Windows.Forms.UnsafeNativeMethods.IGridItemProvider, System.Windows.Forms.UnsafeNativeMethods.IEnumVariant, System.Windows.Forms.UnsafeNativeMethods.IOleWindow:

   def public property Bounds as System.Drawing.Rectangle
      get.

   def public property DefaultAction as character
      get.

   def public property Description as character
      get.

   def public property Help as character
      get.

   def public property KeyboardShortcut as character
      get.

   def public property Name as character
      get.
      set.

   def public property Parent as System.Windows.Forms.AccessibleObject
      get.

   def public property Role as System.Windows.Forms.AccessibleRole
      get.

   def public property State as System.Windows.Forms.AccessibleStates
      get.

   def public property Value as character
      get.
      set.

   constructor public AccessibleObject():
   end constructor.

   method public System.Windows.Forms.AccessibleObject GetChild(input index as integer):
   end method.

   method public integer GetChildCount():
   end method.

   method public System.Windows.Forms.AccessibleObject GetFocused():
   end method.

   method public integer GetHelpTopic(input fileName as character):
   end method.

   method public System.Windows.Forms.AccessibleObject GetSelected():
   end method.

   method public System.Windows.Forms.AccessibleObject HitTest(input x as integer, input y as integer):
   end method.

   method public void DoDefaultAction():
   end method.

   method public System.Windows.Forms.AccessibleObject Navigate(input navdir as System.Windows.Forms.AccessibleNavigation):
   end method.

   method public void Select(input flags as System.Windows.Forms.AccessibleSelection):
   end method.

   method protected final void UseStdAccessibleObjects(input handle as System.IntPtr):
   end method.

   method protected final void UseStdAccessibleObjects(input handle as System.IntPtr, input objid as integer):
   end method.

end class.
