class System.Windows.Forms.ContextMenu
   inherits System.Windows.Forms.Menu
   implements System.ComponentModel.IComponent, System.IDisposable:

   def public property SourceControl as System.Windows.Forms.Control
      get.

   def public property RightToLeft as System.Windows.Forms.RightToLeft
      get.
      set.

   def public event Popup signature void (input sender as System.Object, input e as System.EventArgs).

   def public event Collapse signature void (input sender as System.Object, input e as System.EventArgs).

   constructor public ContextMenu():
   end constructor.

   constructor public ContextMenu(input menuItems as System.Windows.Forms.MenuItem extent):
   end constructor.

   method protected void OnPopup(input e as System.EventArgs):
   end method.

   method protected void OnCollapse(input e as System.EventArgs):
   end method.

   method protected logical ProcessCmdKey(input msg as System.Windows.Forms.Message, input keyData as System.Windows.Forms.Keys, input control as System.Windows.Forms.Control):
   end method.

   method public final void Show(input control as System.Windows.Forms.Control, input pos as System.Drawing.Point):
   end method.

   method public final void Show(input control as System.Windows.Forms.Control, input pos as System.Drawing.Point, input alignment as System.Windows.Forms.LeftRightAlignment):
   end method.

end class.
