class System.Xml.XmlCharacterData
   inherits System.Xml.XmlLinkedNode
   implements System.ICloneable, System.Collections.IEnumerable, System.Xml.XPath.IXPathNavigable
   abstract:

   def public override property Value as character
      get.
      set.

   def public property InnerText as character
      get.
      set.

   def public property Data as character
      get.
      set.

   def public property Length as integer
      get.

   constructor protected XmlCharacterData(input data as character, input doc as System.Xml.XmlDocument):
   end constructor.

   method public character Substring(input offset as integer, input count as integer):
   end method.

   method public void AppendData(input strData as character):
   end method.

   method public void InsertData(input offset as integer, input strData as character):
   end method.

   method public void DeleteData(input offset as integer, input count as integer):
   end method.

   method public void ReplaceData(input offset as integer, input count as integer, input strData as character):
   end method.

end class.
