class System.Xml.XmlDictionaryWriter
   inherits System.Xml.XmlWriter
   implements System.IDisposable
   abstract:

   def public property CanCanonicalize as logical
      get.

   constructor protected XmlDictionaryWriter():
   end constructor.

   method public override System.Threading.Tasks.Task WriteBase64Async(input buffer as System.Byte extent, input index as integer, input count as integer):
   end method.

   method public final static System.Xml.XmlDictionaryWriter CreateBinaryWriter(input stream as System.IO.Stream):
   end method.

   method public final static System.Xml.XmlDictionaryWriter CreateBinaryWriter(input stream as System.IO.Stream, input dictionary as System.Xml.IXmlDictionary):
   end method.

   method public final static System.Xml.XmlDictionaryWriter CreateBinaryWriter(input stream as System.IO.Stream, input dictionary as System.Xml.IXmlDictionary, input session as System.Xml.XmlBinaryWriterSession):
   end method.

   method public final static System.Xml.XmlDictionaryWriter CreateBinaryWriter(input stream as System.IO.Stream, input dictionary as System.Xml.IXmlDictionary, input session as System.Xml.XmlBinaryWriterSession, input ownsStream as logical):
   end method.

   method public final static System.Xml.XmlDictionaryWriter CreateTextWriter(input stream as System.IO.Stream):
   end method.

   method public final static System.Xml.XmlDictionaryWriter CreateTextWriter(input stream as System.IO.Stream, input encoding as System.Text.Encoding):
   end method.

   method public final static System.Xml.XmlDictionaryWriter CreateTextWriter(input stream as System.IO.Stream, input encoding as System.Text.Encoding, input ownsStream as logical):
   end method.

   method public final static System.Xml.XmlDictionaryWriter CreateMtomWriter(input stream as System.IO.Stream, input encoding as System.Text.Encoding, input maxSizeInBytes as integer, input startInfo as character):
   end method.

   method public final static System.Xml.XmlDictionaryWriter CreateMtomWriter(input stream as System.IO.Stream, input encoding as System.Text.Encoding, input maxSizeInBytes as integer, input startInfo as character, input boundary as character, input startUri as character, input writeMessageHeaders as logical, input ownsStream as logical):
   end method.

   method public final static System.Xml.XmlDictionaryWriter CreateDictionaryWriter(input writer as System.Xml.XmlWriter):
   end method.

   method public final void WriteStartElement(input localName as System.Xml.XmlDictionaryString, input namespaceUri as System.Xml.XmlDictionaryString):
   end method.

   method public void WriteStartElement(input prefix as character, input localName as System.Xml.XmlDictionaryString, input namespaceUri as System.Xml.XmlDictionaryString):
   end method.

   method public final void WriteStartAttribute(input localName as System.Xml.XmlDictionaryString, input namespaceUri as System.Xml.XmlDictionaryString):
   end method.

   method public void WriteStartAttribute(input prefix as character, input localName as System.Xml.XmlDictionaryString, input namespaceUri as System.Xml.XmlDictionaryString):
   end method.

   method public final void WriteAttributeString(input localName as System.Xml.XmlDictionaryString, input namespaceUri as System.Xml.XmlDictionaryString, input value as character):
   end method.

   method public void WriteXmlnsAttribute(input prefix as character, input namespaceUri as character):
   end method.

   method public void WriteXmlnsAttribute(input prefix as character, input namespaceUri as System.Xml.XmlDictionaryString):
   end method.

   method public void WriteXmlAttribute(input localName as character, input value as character):
   end method.

   method public void WriteXmlAttribute(input localName as System.Xml.XmlDictionaryString, input value as System.Xml.XmlDictionaryString):
   end method.

   method public final void WriteAttributeString(input prefix as character, input localName as System.Xml.XmlDictionaryString, input namespaceUri as System.Xml.XmlDictionaryString, input value as character):
   end method.

   method public final void WriteElementString(input localName as System.Xml.XmlDictionaryString, input namespaceUri as System.Xml.XmlDictionaryString, input value as character):
   end method.

   method public final void WriteElementString(input prefix as character, input localName as System.Xml.XmlDictionaryString, input namespaceUri as System.Xml.XmlDictionaryString, input value as character):
   end method.

   method public void WriteString(input value as System.Xml.XmlDictionaryString):
   end method.

   method public void WriteQualifiedName(input localName as System.Xml.XmlDictionaryString, input namespaceUri as System.Xml.XmlDictionaryString):
   end method.

   method public void WriteValue(input value as System.Xml.XmlDictionaryString):
   end method.

   method public void WriteValue(input value as System.Xml.IStreamProvider):
   end method.

   method public System.Threading.Tasks.Task WriteValueAsync(input value as System.Xml.IStreamProvider):
   end method.

   method public void WriteValue(input value as System.Xml.UniqueId):
   end method.

   method public void WriteValue(input value as System.Guid):
   end method.

   method public void WriteValue(input value as System.TimeSpan):
   end method.

   method public void StartCanonicalization(input stream as System.IO.Stream, input includeComments as logical, input inclusivePrefixes as System.String extent):
   end method.

   method public void EndCanonicalization():
   end method.

   method protected void WriteTextNode(input reader as System.Xml.XmlDictionaryReader, input isAttribute as logical):
   end method.

   method public override void WriteNode(input reader as System.Xml.XmlReader, input defattr as logical):
   end method.

   method public void WriteNode(input reader as System.Xml.XmlDictionaryReader, input defattr as logical):
   end method.

   method public void WriteArray(input prefix as character, input localName as character, input namespaceUri as character, input array as System.Boolean extent, input offset as integer, input count as integer):
   end method.

   method public void WriteArray(input prefix as character, input localName as System.Xml.XmlDictionaryString, input namespaceUri as System.Xml.XmlDictionaryString, input array as System.Boolean extent, input offset as integer, input count as integer):
   end method.

   method public void WriteArray(input prefix as character, input localName as character, input namespaceUri as character, input array as System.Int16 extent, input offset as integer, input count as integer):
   end method.

   method public void WriteArray(input prefix as character, input localName as System.Xml.XmlDictionaryString, input namespaceUri as System.Xml.XmlDictionaryString, input array as System.Int16 extent, input offset as integer, input count as integer):
   end method.

   method public void WriteArray(input prefix as character, input localName as character, input namespaceUri as character, input array as System.Int32 extent, input offset as integer, input count as integer):
   end method.

   method public void WriteArray(input prefix as character, input localName as System.Xml.XmlDictionaryString, input namespaceUri as System.Xml.XmlDictionaryString, input array as System.Int32 extent, input offset as integer, input count as integer):
   end method.

   method public void WriteArray(input prefix as character, input localName as character, input namespaceUri as character, input array as System.Int64 extent, input offset as integer, input count as integer):
   end method.

   method public void WriteArray(input prefix as character, input localName as System.Xml.XmlDictionaryString, input namespaceUri as System.Xml.XmlDictionaryString, input array as System.Int64 extent, input offset as integer, input count as integer):
   end method.

   method public void WriteArray(input prefix as character, input localName as character, input namespaceUri as character, input array as System.Single extent, input offset as integer, input count as integer):
   end method.

   method public void WriteArray(input prefix as character, input localName as System.Xml.XmlDictionaryString, input namespaceUri as System.Xml.XmlDictionaryString, input array as System.Single extent, input offset as integer, input count as integer):
   end method.

   method public void WriteArray(input prefix as character, input localName as character, input namespaceUri as character, input array as System.Double extent, input offset as integer, input count as integer):
   end method.

   method public void WriteArray(input prefix as character, input localName as System.Xml.XmlDictionaryString, input namespaceUri as System.Xml.XmlDictionaryString, input array as System.Double extent, input offset as integer, input count as integer):
   end method.

   method public void WriteArray(input prefix as character, input localName as character, input namespaceUri as character, input array as System.Decimal extent, input offset as integer, input count as integer):
   end method.

   method public void WriteArray(input prefix as character, input localName as System.Xml.XmlDictionaryString, input namespaceUri as System.Xml.XmlDictionaryString, input array as System.Decimal extent, input offset as integer, input count as integer):
   end method.

   method public void WriteArray(input prefix as character, input localName as character, input namespaceUri as character, input array as System.DateTime extent, input offset as integer, input count as integer):
   end method.

   method public void WriteArray(input prefix as character, input localName as System.Xml.XmlDictionaryString, input namespaceUri as System.Xml.XmlDictionaryString, input array as System.DateTime extent, input offset as integer, input count as integer):
   end method.

   method public void WriteArray(input prefix as character, input localName as character, input namespaceUri as character, input array as System.Guid extent, input offset as integer, input count as integer):
   end method.

   method public void WriteArray(input prefix as character, input localName as System.Xml.XmlDictionaryString, input namespaceUri as System.Xml.XmlDictionaryString, input array as System.Guid extent, input offset as integer, input count as integer):
   end method.

   method public void WriteArray(input prefix as character, input localName as character, input namespaceUri as character, input array as System.TimeSpan extent, input offset as integer, input count as integer):
   end method.

   method public void WriteArray(input prefix as character, input localName as System.Xml.XmlDictionaryString, input namespaceUri as System.Xml.XmlDictionaryString, input array as System.TimeSpan extent, input offset as integer, input count as integer):
   end method.

end class.
