class OpenEdge.DataAdmin.TablePermission
inherits OpenEdge.DataAdmin.Entity
implements OpenEdge.DataAdmin.ITablePermission:

   method public OpenEdge.DataAdmin.Binding.IDataAdminModel CreateLocalContext ().
   end.
   
   method public void Export ().
   end.
   
   method public void Export (input a as character).
   end.
   
   constructor public TablePermission (input a as OpenEdge.DataAdmin.Binding.IDataAdminModel).
   end constructor.

   constructor public TablePermission (input a as OpenEdge.DataAdmin.Binding.IDataAdminModel, input b as OpenEdge.DataAdmin.IRequestInfo).
   end constructor.

   define public property CanCreate as character get. set. 	
	define public property CanDelete as character get. set. 	
	define public property CanDump as character get. set. 	
	define public property CanLoad as character get. set. 	
	define public property CanRead as character get. set. 	
	define public property CanWrite as character get. set. 	
	define public property FieldPermissions as OpenEdge.DataAdmin.IFieldPermissionSet get. set. 	
	define public property Frozen as logical get. set. 	
	define public property Hidden as logical get. set. 	
	define public property IsMultiTenant as logical get. set. 	
	define public property Schema as OpenEdge.DataAdmin.ISchema get. set.
	
end.